import { defineComponent as kt, h as Dn, getCurrentInstance as et, effectScope as da, inject as ga, onMounted as Ea, onUnmounted as pa, shallowRef as Na, ref as _e, computed as me, onBeforeMount as ha, watch as Tt, Fragment as Pn, isRef as Ta, createVNode as va, Text as La } from "vue";
import { a as ba, b as Ia, d as Oa, e as Aa, f as ya, i as Sa, g as Da, m as Pa, h as Ca, j as Ma, k as ka, l as Ra, n as Fa, r as wa, o as $a, p as Va, s as Ua, u as xa, v as Wa } from "./index-ed485123.js";
const Ha = "Loading. Please wait...", Ga = "Connected", Ya = "Disconnected", Ba = "Save", ja = "Cancel", Ka = "Newest", Xa = "Oldest", qa = "Drag and drop files to here to upload.", Ja = "Sort By {arg}", Qa = "* Selected items are required", Za = "Success", za = "Failed", es = "{entity} {description} Saved successfully", ts = "Failed to save {entity}. Reason: {reason}", ns = "{entity} {description} Deleted successfully", as = "Failed to delete {entity} {description}: Reason: ${reason}", ss = "Uploaded {filename} ({size} kb) to {entity} {description} successfully", rs = "Confirmation", os = "Are you sure you want to delete {entity} {description}?", ls = "Are you sure you want to delete the {count} selected {entity}?", cs = "Copy {text} to clipboard", is = "Copied {value} to clipboard", us = "Failed to copy to clipboard", fs = "No results found", _s = "Showing", ms = "to", ds = "of", gs = "Search by {msg}", Es = "Search", ps = "No records found.", Ns = "Clear Filters", hs = "Clear Global Filter", Ts = "Select Columns", vs = "Columns Selected", Ls = {
  loading: Ha,
  connected: Ga,
  disconnected: Ya,
  new: "New",
  save: Ba,
  delete: "Delete",
  cancel: ja,
  newest: Ka,
  oldest: Xa,
  drag_drop_files_to_upload: qa,
  sort_by_arg: Ja,
  required_fields_label: Qa,
  success: Za,
  failed: za,
  save_successful: es,
  save_failed: ts,
  delete_successful: ns,
  delete_failed: as,
  upload_successful: ss,
  confirm_header: rs,
  confirm_delete_message: os,
  confirm_delete_selected_message: ls,
  copy_to_clipboard: cs,
  copy_to_clipboard_success: is,
  copy_to_clipboard_failed: us,
  emptySearchMessage: fs,
  paginator_showing: _s,
  paginator_to: ms,
  paginator_of: ds,
  search_by: gs,
  keyword_search: Es,
  no_records_found: ps,
  clear_filters: Ns,
  clear_global_filter: hs,
  select_columns: Ts,
  columns_selected: vs,
  export: "Export"
}, bs = "Загрузка. Пожалуйста, подождите...", Is = "Связанный", Os = "Отключено", As = "Сохранять", ys = "Отмена", Ss = "Самый новый", Ds = "Самый старый", Ps = "Перетащите сюда файлы для загрузки.", Cs = "Сортировать по {arg}", Ms = "*Выбранные позиции обязательны.", ks = "Успех", Rs = "Неуспешный", Fs = "{entity} {description} успешно сохранено.", ws = "Не удалось сохранить {entity}. Причина: {reason}", $s = "{entity} {description} успешно удалено", Vs = "Не удалось удалить {entity} {description}: Причина: ${reason}.", Us = "Файл {filename} ({size} КБ) успешно загружен в {entity} {description}.", xs = "Подтверждение", Ws = "Вы уверены, что хотите удалить {entity} {description}?", Hs = "Вы уверены, что хотите удалить {count} выбранный {entity}?", Gs = "Скопировать {text} в буфер обмена", Ys = "Скопировано {value} в буфер обмена.", Bs = "Не удалось скопировать в буфер обмена", js = "Результатов не найдено", Ks = "Показан", Xs = "кому", qs = "из", Js = "Поиск по {msg}", Qs = "Поиск", Zs = "Записи не найдены.", zs = "Очистить фильтры", er = "Очистить глобальный фильтр", tr = "Выбрать столбцы", nr = "Выбранные столбцы", ar = {
  loading: bs,
  connected: Is,
  disconnected: Os,
  new: "Новый",
  save: As,
  delete: "Удалить",
  cancel: ys,
  newest: Ss,
  oldest: Ds,
  drag_drop_files_to_upload: Ps,
  sort_by_arg: Cs,
  required_fields_label: Ms,
  success: ks,
  failed: Rs,
  save_successful: Fs,
  save_failed: ws,
  delete_successful: $s,
  delete_failed: Vs,
  upload_successful: Us,
  confirm_header: xs,
  confirm_delete_message: Ws,
  confirm_delete_selected_message: Hs,
  copy_to_clipboard: Gs,
  copy_to_clipboard_success: Ys,
  copy_to_clipboard_failed: Bs,
  emptySearchMessage: js,
  paginator_showing: Ks,
  paginator_to: Xs,
  paginator_of: qs,
  search_by: Js,
  keyword_search: Qs,
  no_records_found: Zs,
  clear_filters: zs,
  clear_global_filter: er,
  select_columns: tr,
  columns_selected: nr,
  export: "Экспорт"
}, sr = {
  alpha: "The value is not alphabetical",
  alphaNum: "The value must be alpha-numeric",
  between: "The value must be between {min} and {max}",
  decimal: "Value must be decimal",
  email: "Value is not a valid email address",
  integer: "Value is not an integer",
  ipAddress: "The value is not a valid IP address",
  macAddress: "The value is not a valid MAC Address",
  maxLength: "The maximum length allowed is {max}",
  maxValue: "The maximum value allowed is {max}",
  minLength: "The minimum length allowed is {min}",
  minValue: "The minimum value allowed is {min}",
  numeric: "Value must be numeric",
  required: "Value is required.",
  requiredIf: "Value is required.",
  requiredUnless: "Value is required.",
  sameAs: "The value must be equal to the {otherName} value",
  url: "The value is not a valid URL address"
}, rr = {
  VALIDATIONS: sr
}, or = {
  alpha: "Значение не в алфавитном порядке",
  alphaNum: "Значение должно быть буквенно-цифровым",
  between: "Значение должно быть между {min} и {max}",
  decimal: "Значение должно быть десятичным",
  email: "Значение не является действительным адресом электронной почты",
  integer: "Значение не является целым числом",
  ipAddress: "Значение не является допустимым IP-адресом",
  macAddress: "Значение не является допустимым MAC-адресом",
  maxLength: "Максимально допустимая длина — {max}",
  maxValue: "Максимально допустимое значение — {max}",
  minLength: "Минимально допустимая длина — {min}",
  minValue: "Минимально допустимое значение — {min}",
  numeric: "Значение должно быть числовым",
  required: "Необходимо значение.",
  requiredIf: "Значение обязательно.",
  requiredUnless: "Необходимо значение.",
  sameAs: "Значение должно быть равно значению {otherName}",
  url: "Значение не является допустимым URL-адресом"
}, lr = {
  VALIDATIONS: or
}, cr = "Starts with", ir = "Contains", ur = "Not contains", fr = "Ends with", _r = "Equals", mr = "Not equals", dr = "No Filter", gr = "Less than", Er = "Less than or equal to", pr = "Greater than", Nr = "Greater than or equal to", hr = "Date is", Tr = "Date is not", vr = "Date is before", Lr = "Date is after", br = "Clear", Ir = "Apply", Or = "Match All", Ar = "Match Any", yr = "Add Rule", Sr = "Remove Rule", Dr = "Yes", Pr = "No", Cr = "Choose", Mr = "Upload", kr = "Cancel", Rr = "Completed", Fr = "Pending", wr = [
  "B",
  "KB",
  "MB",
  "GB",
  "TB",
  "PB",
  "EB",
  "ZB",
  "YB"
], $r = [
  "Sunday",
  "Monday",
  "Tuesday",
  "Wednesday",
  "Thursday",
  "Friday",
  "Saturday"
], Vr = [
  "Sun",
  "Mon",
  "Tue",
  "Wed",
  "Thu",
  "Fri",
  "Sat"
], Ur = [
  "Su",
  "Mo",
  "Tu",
  "We",
  "Th",
  "Fr",
  "Sa"
], xr = [
  "January",
  "February",
  "March",
  "April",
  "May",
  "June",
  "July",
  "August",
  "September",
  "October",
  "November",
  "December"
], Wr = [
  "Jan",
  "Feb",
  "Mar",
  "Apr",
  "May",
  "Jun",
  "Jul",
  "Aug",
  "Sep",
  "Oct",
  "Nov",
  "Dec"
], Hr = "Choose Year", Gr = "Choose Month", Yr = "Choose Date", Br = "Previous Decade", jr = "Next Decade", Kr = "Previous Year", Xr = "Next Year", qr = "Previous Month", Jr = "Next Month", Qr = "Previous Hour", Zr = "Next Hour", zr = "Previous Minute", eo = "Next Minute", to = "Previous Second", no = "Next Second", ao = "am", so = "pm", ro = "Today", oo = "Wk", lo = 0, co = "mm/dd/yy", io = "Weak", uo = "Medium", fo = "Strong", _o = "Enter a password", mo = "No results found", go = "{0} results are available", Eo = "{0} items selected", po = "No selected item", No = "No results found", ho = "No available options", To = {
  trueLabel: "True",
  falseLabel: "False",
  nullLabel: "Not Selected",
  star: "1 star",
  stars: "{star} stars",
  selectAll: "All items selected",
  unselectAll: "All items unselected",
  close: "Close",
  previous: "Previous",
  next: "Next",
  navigation: "Navigation",
  scrollTop: "Scroll Top",
  moveTop: "Move Top",
  moveUp: "Move Up",
  moveDown: "Move Down",
  moveBottom: "Move Bottom",
  moveToTarget: "Move to Target",
  moveToSource: "Move to Source",
  moveAllToTarget: "Move All to Target",
  moveAllToSource: "Move All to Source",
  pageLabel: "{page}",
  firstPageLabel: "First Page",
  lastPageLabel: "Last Page",
  nextPageLabel: "Next Page",
  prevPageLabel: "Previous Page",
  rowsPerPageLabel: "Rows per page",
  jumpToPageDropdownLabel: "Jump to Page Dropdown",
  jumpToPageInputLabel: "Jump to Page Input",
  selectRow: "Row Selected",
  unselectRow: "Row Unselected",
  expandRow: "Row Expanded",
  collapseRow: "Row Collapsed",
  showFilterMenu: "Show Filter Menu",
  hideFilterMenu: "Hide Filter Menu",
  filterOperator: "Filter Operator",
  filterConstraint: "Filter Constraint",
  editRow: "Row Edit",
  saveEdit: "Save Edit",
  cancelEdit: "Cancel Edit",
  listView: "List View",
  gridView: "Grid View",
  slide: "Slide",
  slideNumber: "{slideNumber}",
  zoomImage: "Zoom Image",
  zoomIn: "Zoom In",
  zoomOut: "Zoom Out",
  rotateRight: "Rotate Right",
  rotateLeft: "Rotate Left"
}, vo = {
  startsWith: cr,
  contains: ir,
  notContains: ur,
  endsWith: fr,
  equals: _r,
  notEquals: mr,
  noFilter: dr,
  lt: gr,
  lte: Er,
  gt: pr,
  gte: Nr,
  dateIs: hr,
  dateIsNot: Tr,
  dateBefore: vr,
  dateAfter: Lr,
  clear: br,
  apply: Ir,
  matchAll: Or,
  matchAny: Ar,
  addRule: yr,
  removeRule: Sr,
  accept: Dr,
  reject: Pr,
  choose: Cr,
  upload: Mr,
  cancel: kr,
  completed: Rr,
  pending: Fr,
  fileSizeTypes: wr,
  dayNames: $r,
  dayNamesShort: Vr,
  dayNamesMin: Ur,
  monthNames: xr,
  monthNamesShort: Wr,
  chooseYear: Hr,
  chooseMonth: Gr,
  chooseDate: Yr,
  prevDecade: Br,
  nextDecade: jr,
  prevYear: Kr,
  nextYear: Xr,
  prevMonth: qr,
  nextMonth: Jr,
  prevHour: Qr,
  nextHour: Zr,
  prevMinute: zr,
  nextMinute: eo,
  prevSecond: to,
  nextSecond: no,
  am: ao,
  pm: so,
  today: ro,
  weekHeader: oo,
  firstDayOfWeek: lo,
  dateFormat: co,
  weak: io,
  medium: uo,
  strong: fo,
  passwordPrompt: _o,
  emptyFilterMessage: mo,
  searchMessage: go,
  selectionMessage: Eo,
  emptySelectionMessage: po,
  emptySearchMessage: No,
  emptyMessage: ho,
  aria: To
}, Lo = "Начинается с", bo = "Содержит", Io = "Не содержит", Oo = "Заканчивается на", Ao = "Равно", yo = "Не равно", So = "Без фильтра", Do = "Меньше чем", Po = "Меньше или равно", Co = "Больше чем", Mo = "Больше или равно", ko = "Дата", Ro = "Дата нет", Fo = "Дата раньше", wo = "Дата будет позже", $o = "Очистить", Vo = "Применить", Uo = "Сопоставить все", xo = "Сопоставить любой", Wo = "Добавить правило", Ho = "Удалить правило", Go = "Да", Yo = "Нет", Bo = "Выбрать", jo = "Загрузить", Ko = "Отмена", Xo = "Завершенный", qo = "В ожидании", Jo = [], Qo = [
  "Воскресенье",
  "Понедельник",
  "Вторник",
  "Среда",
  "Четверг",
  "Пятница",
  "Суббота"
], Zo = [
  "Солнце",
  "Пн",
  "Вт",
  "Обвенчались",
  "Чт",
  "Пт",
  "Сидел"
], zo = [
  "Су",
  "МО",
  "Ту",
  "Мы",
  "Ч",
  "Пт",
  "Са"
], el = [
  "Январь",
  "Февраль",
  "Маршировать",
  "Апрель",
  "Может",
  "Июнь",
  "Июль",
  "Август",
  "Сентябрь",
  "Октябрь",
  "Ноябрь",
  "Декабрь"
], tl = [
  "Ян",
  "Февраль",
  "Мар",
  "Апрель",
  "Может",
  "Джун",
  "Июль",
  "Август",
  "Сентябрь",
  "Октябрь",
  "Ноябрь",
  "Декабрь"
], nl = "Выберите год", al = "Выберите месяц", sl = "Выберите дату", rl = "Предыдущее десятилетие", ol = "Следующее десятилетие", ll = "Предыдущий год", cl = "В следующем году", il = "Предыдущий месяц", ul = "В следующем месяце", fl = "Предыдущий час", _l = "Следующий час", ml = "Предыдущая минута", dl = "Следующая минута", gl = "Предыдущая секунда", El = "Следующая секунда", pl = "есть", Nl = "после полудня", hl = "Сегодня", Tl = "Неделя", vl = 0, Ll = "мм/дд/гг", bl = "Слабый", Il = "Средний", Ol = "Сильный", Al = "Введите пароль", yl = "Результатов не найдено", Sl = "Результатов доступно {0}", Dl = "Выбрано {0} элементов", Pl = "Не выбран элемент", Cl = "Результатов не найдено", Ml = "Нет доступных опций", kl = {
  trueLabel: "Истина",
  falseLabel: "Ложь",
  nullLabel: "Не выбрано",
  star: "1 звезда",
  stars: "Звезды {star}",
  selectAll: "Выбраны все элементы",
  unselectAll: "Все элементы не выбраны",
  close: "Закрыть",
  previous: "Предыдущий",
  next: "Далее",
  navigaion: "Навигация",
  scrollTop: "Прокрутка вверху",
  moveTop: "Переместить вверх",
  moveUp: "Переместить вверх",
  moveDown: "Переместить вниз",
  moveBottom: "Переместить вниз",
  moveToTarget: "Перейти к цели",
  moveToSource: "Переместить в исходный код",
  moveAllToTarget: "Переместить все в цель",
  moveAllToSource: "Переместить все в исходный код",
  pageLabel: "{page}",
  firstPageLabel: "Первая страница",
  lastPageLabel: "Последняя страница",
  nextPageLabel: "Следующая страница",
  prevPageLabel: "Предыдущая страница",
  rowsPerPageLabel: "Строк на странице",
  jumpToPageDropdownLabel: "Перейти к раскрывающемуся списку страниц",
  jumpToPageInputLabel: "Перейти к вводу страницы",
  selectRow: "Выбранная строка",
  unselectRow: "Строка не выбрана",
  expandRow: "Строка расширена",
  collapseRow: "Строка свернута",
  showFilterMenu: "Показать меню фильтров",
  hideFilterMenu: "Скрыть меню фильтров",
  filterOperator: "Оператор фильтра",
  filterConstraint: "Ограничение фильтра",
  editRow: "Редактировать строку",
  saveEdit: "Сохранить редактирование",
  cancelEdit: "Отменить редактирование",
  listView: "Просмотр списка",
  gridView: "Вид в виде сетки",
  slide: "Слайд",
  slideNumber: "{slideNumber}",
  zoomImage: "Увеличить изображение",
  zoomIn: "Увеличить",
  zoomOut: "Уменьшить",
  rotateRight: "Повернуть вправо",
  rotateLeft: "Повернуть влево"
}, Rl = {
  startsWith: Lo,
  contains: bo,
  notContains: Io,
  endsWith: Oo,
  equals: Ao,
  notEquals: yo,
  noFilter: So,
  lt: Do,
  lte: Po,
  gt: Co,
  gte: Mo,
  dateIs: ko,
  dateIsNot: Ro,
  dateBefore: Fo,
  dateAfter: wo,
  clear: $o,
  apply: Vo,
  matchAll: Uo,
  matchAny: xo,
  addRule: Wo,
  removeRule: Ho,
  accept: Go,
  reject: Yo,
  choose: Bo,
  upload: jo,
  cancel: Ko,
  completed: Xo,
  pending: qo,
  fileSizeTypes: Jo,
  dayNames: Qo,
  dayNamesShort: Zo,
  dayNamesMin: zo,
  monthNames: el,
  monthNamesShort: tl,
  chooseYear: nl,
  chooseMonth: al,
  chooseDate: sl,
  prevDecade: rl,
  nextDecade: ol,
  prevYear: ll,
  nextYear: cl,
  prevMonth: il,
  nextMonth: ul,
  prevHour: fl,
  nextHour: _l,
  prevMinute: ml,
  nextMinute: dl,
  prevSecond: gl,
  nextSecond: El,
  am: pl,
  pm: Nl,
  today: hl,
  weekHeader: Tl,
  firstDayOfWeek: vl,
  dateFormat: Ll,
  weak: bl,
  medium: Il,
  strong: Ol,
  passwordPrompt: Al,
  emptyFilterMessage: yl,
  searchMessage: Sl,
  selectionMessage: Dl,
  emptySelectionMessage: Pl,
  emptySearchMessage: Cl,
  emptyMessage: Ml,
  aria: kl
};
/*!
  * shared v9.6.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
const de = typeof window < "u";
let ae, De;
if (process.env.NODE_ENV !== "production") {
  const e = de && window.performance;
  e && e.mark && e.measure && e.clearMarks && // @ts-ignore browser compat
  e.clearMeasures && (ae = (t) => {
    e.mark(t);
  }, De = (t, n, s) => {
    e.measure(t, n, s), e.clearMarks(n), e.clearMarks(s);
  });
}
const Fl = /\{([0-9a-zA-Z]+)\}/g;
function Rt(e, ...t) {
  return t.length === 1 && V(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(Fl, (n, s) => t.hasOwnProperty(s) ? t[s] : "");
}
const ge = (e, t = !1) => t ? Symbol.for(e) : Symbol(e), wl = (e, t, n) => $l({ l: e, k: t, s: n }), $l = (e) => JSON.stringify(e).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), X = (e) => typeof e == "number" && isFinite(e), Vl = (e) => Mn(e) === "[object Date]", Le = (e) => Mn(e) === "[object RegExp]", ft = (e) => k(e) && Object.keys(e).length === 0, Z = Object.assign;
let Bt;
const Ne = () => Bt || (Bt = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof global < "u" ? global : {});
function jt(e) {
  return e.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const Ul = Object.prototype.hasOwnProperty;
function tt(e, t) {
  return Ul.call(e, t);
}
const x = Array.isArray, H = (e) => typeof e == "function", b = (e) => typeof e == "string", F = (e) => typeof e == "boolean", V = (e) => e !== null && typeof e == "object", Cn = Object.prototype.toString, Mn = (e) => Cn.call(e), k = (e) => {
  if (!V(e))
    return !1;
  const t = Object.getPrototypeOf(e);
  return t === null || t.constructor === Object;
}, xl = (e) => e == null ? "" : x(e) || k(e) && e.toString === Cn ? JSON.stringify(e, null, 2) : String(e);
function Wl(e, t = "") {
  return e.reduce((n, s, r) => r === 0 ? n + s : n + t + s, "");
}
const Kt = 2;
function Hl(e, t = 0, n = e.length) {
  const s = e.split(/\r?\n/);
  let r = 0;
  const a = [];
  for (let o = 0; o < s.length; o++)
    if (r += s[o].length + 1, r >= t) {
      for (let c = o - Kt; c <= o + Kt || n > r; c++) {
        if (c < 0 || c >= s.length)
          continue;
        const u = c + 1;
        a.push(`${u}${" ".repeat(3 - String(u).length)}|  ${s[c]}`);
        const m = s[c].length;
        if (c === o) {
          const N = t - (r - m) + 1, T = Math.max(1, n > r ? m - N : n - t);
          a.push("   |  " + " ".repeat(N) + "^".repeat(T));
        } else if (c > o) {
          if (n > r) {
            const N = Math.max(Math.min(n - r, m), 1);
            a.push("   |  " + "^".repeat(N));
          }
          r += m + 1;
        }
      }
      break;
    }
  return a.join(`
`);
}
function Ft(e) {
  let t = e;
  return () => ++t;
}
function J(e, t) {
  typeof console < "u" && (console.warn("[intlify] " + e), t && console.warn(t.stack));
}
const Xt = {};
function Gl(e) {
  Xt[e] || (Xt[e] = !0, J(e));
}
function wt() {
  const e = /* @__PURE__ */ new Map();
  return {
    events: e,
    on(n, s) {
      const r = e.get(n);
      r && r.push(s) || e.set(n, [s]);
    },
    off(n, s) {
      const r = e.get(n);
      r && r.splice(r.indexOf(s) >>> 0, 1);
    },
    emit(n, s) {
      (e.get(n) || []).slice().map((r) => r(s)), (e.get("*") || []).slice().map((r) => r(n, s));
    }
  };
}
/*!
  * message-compiler v9.6.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
function Yl(e, t, n) {
  return { line: e, column: t, offset: n };
}
function vt(e, t, n) {
  const s = { start: e, end: t };
  return n != null && (s.source = n), s;
}
const Bl = /\{([0-9a-zA-Z]+)\}/g;
function jl(e, ...t) {
  return t.length === 1 && Kl(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(Bl, (n, s) => t.hasOwnProperty(s) ? t[s] : "");
}
const kn = Object.assign, qt = (e) => typeof e == "string", Kl = (e) => e !== null && typeof e == "object";
function Rn(e, t = "") {
  return e.reduce((n, s, r) => r === 0 ? n + s : n + t + s, "");
}
const C = {
  // tokenizer error codes
  EXPECTED_TOKEN: 1,
  INVALID_TOKEN_IN_PLACEHOLDER: 2,
  UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER: 3,
  UNKNOWN_ESCAPE_SEQUENCE: 4,
  INVALID_UNICODE_ESCAPE_SEQUENCE: 5,
  UNBALANCED_CLOSING_BRACE: 6,
  UNTERMINATED_CLOSING_BRACE: 7,
  EMPTY_PLACEHOLDER: 8,
  NOT_ALLOW_NEST_PLACEHOLDER: 9,
  INVALID_LINKED_FORMAT: 10,
  // parser error codes
  MUST_HAVE_MESSAGES_IN_PLURAL: 11,
  UNEXPECTED_EMPTY_LINKED_MODIFIER: 12,
  UNEXPECTED_EMPTY_LINKED_KEY: 13,
  UNEXPECTED_LEXICAL_ANALYSIS: 14,
  // generator error codes
  UNHANDLED_CODEGEN_NODE_TYPE: 15,
  // minifier error codes
  UNHANDLED_MINIFIER_NODE_TYPE: 16,
  // Special value for higher-order compilers to pick up the last code
  // to avoid collision of error codes. This should always be kept as the last
  // item.
  __EXTEND_POINT__: 17
}, Xl = {
  // tokenizer error messages
  [C.EXPECTED_TOKEN]: "Expected token: '{0}'",
  [C.INVALID_TOKEN_IN_PLACEHOLDER]: "Invalid token in placeholder: '{0}'",
  [C.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER]: "Unterminated single quote in placeholder",
  [C.UNKNOWN_ESCAPE_SEQUENCE]: "Unknown escape sequence: \\{0}",
  [C.INVALID_UNICODE_ESCAPE_SEQUENCE]: "Invalid unicode escape sequence: {0}",
  [C.UNBALANCED_CLOSING_BRACE]: "Unbalanced closing brace",
  [C.UNTERMINATED_CLOSING_BRACE]: "Unterminated closing brace",
  [C.EMPTY_PLACEHOLDER]: "Empty placeholder",
  [C.NOT_ALLOW_NEST_PLACEHOLDER]: "Not allowed nest placeholder",
  [C.INVALID_LINKED_FORMAT]: "Invalid linked format",
  // parser error messages
  [C.MUST_HAVE_MESSAGES_IN_PLURAL]: "Plural must have messages",
  [C.UNEXPECTED_EMPTY_LINKED_MODIFIER]: "Unexpected empty linked modifier",
  [C.UNEXPECTED_EMPTY_LINKED_KEY]: "Unexpected empty linked key",
  [C.UNEXPECTED_LEXICAL_ANALYSIS]: "Unexpected lexical analysis in token: '{0}'",
  // generator error messages
  [C.UNHANDLED_CODEGEN_NODE_TYPE]: "unhandled codegen node type: '{0}'",
  // minimizer error messages
  [C.UNHANDLED_MINIFIER_NODE_TYPE]: "unhandled mimifier node type: '{0}'"
};
function Ge(e, t, n = {}) {
  const { domain: s, messages: r, args: a } = n, o = jl((r || Xl)[e] || "", ...a || []), c = new SyntaxError(String(o));
  return c.code = e, t && (c.location = t), c.domain = s, c;
}
function ql(e) {
  throw e;
}
const Jl = /<\/?[\w\s="/.':;#-\/]+>/, Ql = (e) => Jl.test(e), pe = " ", Zl = "\r", z = `
`, zl = String.fromCharCode(8232), ec = String.fromCharCode(8233);
function tc(e) {
  const t = e;
  let n = 0, s = 1, r = 1, a = 0;
  const o = (h) => t[h] === Zl && t[h + 1] === z, c = (h) => t[h] === z, u = (h) => t[h] === ec, m = (h) => t[h] === zl, N = (h) => o(h) || c(h) || u(h) || m(h), T = () => n, E = () => s, I = () => r, P = () => a, D = (h) => o(h) || u(h) || m(h) ? z : t[h], S = () => D(n), f = () => D(n + a);
  function d() {
    return a = 0, N(n) && (s++, r = 0), o(n) && n++, n++, r++, t[n];
  }
  function v() {
    return o(n + a) && a++, a++, t[n + a];
  }
  function p() {
    n = 0, s = 1, r = 1, a = 0;
  }
  function A(h = 0) {
    a = h;
  }
  function O() {
    const h = n + a;
    for (; h !== n; )
      d();
    a = 0;
  }
  return {
    index: T,
    line: E,
    column: I,
    peekOffset: P,
    charAt: D,
    currentChar: S,
    currentPeek: f,
    next: d,
    peek: v,
    reset: p,
    resetPeek: A,
    skipToPeek: O
  };
}
const Te = void 0, nc = ".", Jt = "'", ac = "tokenizer";
function sc(e, t = {}) {
  const n = t.location !== !1, s = tc(e), r = () => s.index(), a = () => Yl(s.line(), s.column(), s.index()), o = a(), c = r(), u = {
    currentType: 14,
    offset: c,
    startLoc: o,
    endLoc: o,
    lastType: 14,
    lastOffset: c,
    lastStartLoc: o,
    lastEndLoc: o,
    braceNest: 0,
    inLinked: !1,
    text: ""
  }, m = () => u, { onError: N } = t;
  function T(i, l, _, ...y) {
    const M = m();
    if (l.column += _, l.offset += _, N) {
      const U = n ? vt(M.startLoc, l) : null, ue = Ge(i, U, {
        domain: ac,
        args: y
      });
      N(ue);
    }
  }
  function E(i, l, _) {
    i.endLoc = a(), i.currentType = l;
    const y = { type: l };
    return n && (y.loc = vt(i.startLoc, i.endLoc)), _ != null && (y.value = _), y;
  }
  const I = (i) => E(
    i,
    14
    /* TokenTypes.EOF */
  );
  function P(i, l) {
    return i.currentChar() === l ? (i.next(), l) : (T(C.EXPECTED_TOKEN, a(), 0, l), "");
  }
  function D(i) {
    let l = "";
    for (; i.currentPeek() === pe || i.currentPeek() === z; )
      l += i.currentPeek(), i.peek();
    return l;
  }
  function S(i) {
    const l = D(i);
    return i.skipToPeek(), l;
  }
  function f(i) {
    if (i === Te)
      return !1;
    const l = i.charCodeAt(0);
    return l >= 97 && l <= 122 || // a-z
    l >= 65 && l <= 90 || // A-Z
    l === 95;
  }
  function d(i) {
    if (i === Te)
      return !1;
    const l = i.charCodeAt(0);
    return l >= 48 && l <= 57;
  }
  function v(i, l) {
    const { currentType: _ } = l;
    if (_ !== 2)
      return !1;
    D(i);
    const y = f(i.currentPeek());
    return i.resetPeek(), y;
  }
  function p(i, l) {
    const { currentType: _ } = l;
    if (_ !== 2)
      return !1;
    D(i);
    const y = i.currentPeek() === "-" ? i.peek() : i.currentPeek(), M = d(y);
    return i.resetPeek(), M;
  }
  function A(i, l) {
    const { currentType: _ } = l;
    if (_ !== 2)
      return !1;
    D(i);
    const y = i.currentPeek() === Jt;
    return i.resetPeek(), y;
  }
  function O(i, l) {
    const { currentType: _ } = l;
    if (_ !== 8)
      return !1;
    D(i);
    const y = i.currentPeek() === ".";
    return i.resetPeek(), y;
  }
  function h(i, l) {
    const { currentType: _ } = l;
    if (_ !== 9)
      return !1;
    D(i);
    const y = f(i.currentPeek());
    return i.resetPeek(), y;
  }
  function R(i, l) {
    const { currentType: _ } = l;
    if (!(_ === 8 || _ === 12))
      return !1;
    D(i);
    const y = i.currentPeek() === ":";
    return i.resetPeek(), y;
  }
  function $(i, l) {
    const { currentType: _ } = l;
    if (_ !== 10)
      return !1;
    const y = () => {
      const U = i.currentPeek();
      return U === "{" ? f(i.peek()) : U === "@" || U === "%" || U === "|" || U === ":" || U === "." || U === pe || !U ? !1 : U === z ? (i.peek(), y()) : f(U);
    }, M = y();
    return i.resetPeek(), M;
  }
  function Y(i) {
    D(i);
    const l = i.currentPeek() === "|";
    return i.resetPeek(), l;
  }
  function oe(i) {
    const l = D(i), _ = i.currentPeek() === "%" && i.peek() === "{";
    return i.resetPeek(), {
      isModulo: _,
      hasSpace: l.length > 0
    };
  }
  function q(i, l = !0) {
    const _ = (M = !1, U = "", ue = !1) => {
      const Ee = i.currentPeek();
      return Ee === "{" ? U === "%" ? !1 : M : Ee === "@" || !Ee ? U === "%" ? !0 : M : Ee === "%" ? (i.peek(), _(M, "%", !0)) : Ee === "|" ? U === "%" || ue ? !0 : !(U === pe || U === z) : Ee === pe ? (i.peek(), _(!0, pe, ue)) : Ee === z ? (i.peek(), _(!0, z, ue)) : !0;
    }, y = _();
    return l && i.resetPeek(), y;
  }
  function se(i, l) {
    const _ = i.currentChar();
    return _ === Te ? Te : l(_) ? (i.next(), _) : null;
  }
  function ke(i) {
    return se(i, (_) => {
      const y = _.charCodeAt(0);
      return y >= 97 && y <= 122 || // a-z
      y >= 65 && y <= 90 || // A-Z
      y >= 48 && y <= 57 || // 0-9
      y === 95 || // _
      y === 36;
    });
  }
  function Ye(i) {
    return se(i, (_) => {
      const y = _.charCodeAt(0);
      return y >= 48 && y <= 57;
    });
  }
  function ce(i) {
    return se(i, (_) => {
      const y = _.charCodeAt(0);
      return y >= 48 && y <= 57 || // 0-9
      y >= 65 && y <= 70 || // A-F
      y >= 97 && y <= 102;
    });
  }
  function Re(i) {
    let l = "", _ = "";
    for (; l = Ye(i); )
      _ += l;
    return _;
  }
  function Be(i) {
    S(i);
    const l = i.currentChar();
    return l !== "%" && T(C.EXPECTED_TOKEN, a(), 0, l), i.next(), "%";
  }
  function Fe(i) {
    let l = "";
    for (; ; ) {
      const _ = i.currentChar();
      if (_ === "{" || _ === "}" || _ === "@" || _ === "|" || !_)
        break;
      if (_ === "%")
        if (q(i))
          l += _, i.next();
        else
          break;
      else if (_ === pe || _ === z)
        if (q(i))
          l += _, i.next();
        else {
          if (Y(i))
            break;
          l += _, i.next();
        }
      else
        l += _, i.next();
    }
    return l;
  }
  function ie(i) {
    S(i);
    let l = "", _ = "";
    for (; l = ke(i); )
      _ += l;
    return i.currentChar() === Te && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), _;
  }
  function we(i) {
    S(i);
    let l = "";
    return i.currentChar() === "-" ? (i.next(), l += `-${Re(i)}`) : l += Re(i), i.currentChar() === Te && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), l;
  }
  function je(i) {
    S(i), P(i, "'");
    let l = "", _ = "";
    const y = (U) => U !== Jt && U !== z;
    for (; l = se(i, y); )
      l === "\\" ? _ += Ke(i) : _ += l;
    const M = i.currentChar();
    return M === z || M === Te ? (T(C.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER, a(), 0), M === z && (i.next(), P(i, "'")), _) : (P(i, "'"), _);
  }
  function Ke(i) {
    const l = i.currentChar();
    switch (l) {
      case "\\":
      case "'":
        return i.next(), `\\${l}`;
      case "u":
        return $e(i, l, 4);
      case "U":
        return $e(i, l, 6);
      default:
        return T(C.UNKNOWN_ESCAPE_SEQUENCE, a(), 0, l), "";
    }
  }
  function $e(i, l, _) {
    P(i, l);
    let y = "";
    for (let M = 0; M < _; M++) {
      const U = ce(i);
      if (!U) {
        T(C.INVALID_UNICODE_ESCAPE_SEQUENCE, a(), 0, `\\${l}${y}${i.currentChar()}`);
        break;
      }
      y += U;
    }
    return `\\${l}${y}`;
  }
  function Xe(i) {
    S(i);
    let l = "", _ = "";
    const y = (M) => M !== "{" && M !== "}" && M !== pe && M !== z;
    for (; l = se(i, y); )
      _ += l;
    return _;
  }
  function ot(i) {
    let l = "", _ = "";
    for (; l = ke(i); )
      _ += l;
    return _;
  }
  function qe(i) {
    const l = (_ = !1, y) => {
      const M = i.currentChar();
      return M === "{" || M === "%" || M === "@" || M === "|" || M === "(" || M === ")" || !M || M === pe ? y : M === z || M === nc ? (y += M, i.next(), l(_, y)) : (y += M, i.next(), l(!0, y));
    };
    return l(!1, "");
  }
  function Ie(i) {
    S(i);
    const l = P(
      i,
      "|"
      /* TokenChars.Pipe */
    );
    return S(i), l;
  }
  function Oe(i, l) {
    let _ = null;
    switch (i.currentChar()) {
      case "{":
        return l.braceNest >= 1 && T(C.NOT_ALLOW_NEST_PLACEHOLDER, a(), 0), i.next(), _ = E(
          l,
          2,
          "{"
          /* TokenChars.BraceLeft */
        ), S(i), l.braceNest++, _;
      case "}":
        return l.braceNest > 0 && l.currentType === 2 && T(C.EMPTY_PLACEHOLDER, a(), 0), i.next(), _ = E(
          l,
          3,
          "}"
          /* TokenChars.BraceRight */
        ), l.braceNest--, l.braceNest > 0 && S(i), l.inLinked && l.braceNest === 0 && (l.inLinked = !1), _;
      case "@":
        return l.braceNest > 0 && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), _ = he(i, l) || I(l), l.braceNest = 0, _;
      default:
        let M = !0, U = !0, ue = !0;
        if (Y(i))
          return l.braceNest > 0 && T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), _ = E(l, 1, Ie(i)), l.braceNest = 0, l.inLinked = !1, _;
        if (l.braceNest > 0 && (l.currentType === 5 || l.currentType === 6 || l.currentType === 7))
          return T(C.UNTERMINATED_CLOSING_BRACE, a(), 0), l.braceNest = 0, Ae(i, l);
        if (M = v(i, l))
          return _ = E(l, 5, ie(i)), S(i), _;
        if (U = p(i, l))
          return _ = E(l, 6, we(i)), S(i), _;
        if (ue = A(i, l))
          return _ = E(l, 7, je(i)), S(i), _;
        if (!M && !U && !ue)
          return _ = E(l, 13, Xe(i)), T(C.INVALID_TOKEN_IN_PLACEHOLDER, a(), 0, _.value), S(i), _;
        break;
    }
    return _;
  }
  function he(i, l) {
    const { currentType: _ } = l;
    let y = null;
    const M = i.currentChar();
    switch ((_ === 8 || _ === 9 || _ === 12 || _ === 10) && (M === z || M === pe) && T(C.INVALID_LINKED_FORMAT, a(), 0), M) {
      case "@":
        return i.next(), y = E(
          l,
          8,
          "@"
          /* TokenChars.LinkedAlias */
        ), l.inLinked = !0, y;
      case ".":
        return S(i), i.next(), E(
          l,
          9,
          "."
          /* TokenChars.LinkedDot */
        );
      case ":":
        return S(i), i.next(), E(
          l,
          10,
          ":"
          /* TokenChars.LinkedDelimiter */
        );
      default:
        return Y(i) ? (y = E(l, 1, Ie(i)), l.braceNest = 0, l.inLinked = !1, y) : O(i, l) || R(i, l) ? (S(i), he(i, l)) : h(i, l) ? (S(i), E(l, 12, ot(i))) : $(i, l) ? (S(i), M === "{" ? Oe(i, l) || y : E(l, 11, qe(i))) : (_ === 8 && T(C.INVALID_LINKED_FORMAT, a(), 0), l.braceNest = 0, l.inLinked = !1, Ae(i, l));
    }
  }
  function Ae(i, l) {
    let _ = {
      type: 14
      /* TokenTypes.EOF */
    };
    if (l.braceNest > 0)
      return Oe(i, l) || I(l);
    if (l.inLinked)
      return he(i, l) || I(l);
    switch (i.currentChar()) {
      case "{":
        return Oe(i, l) || I(l);
      case "}":
        return T(C.UNBALANCED_CLOSING_BRACE, a(), 0), i.next(), E(
          l,
          3,
          "}"
          /* TokenChars.BraceRight */
        );
      case "@":
        return he(i, l) || I(l);
      default:
        if (Y(i))
          return _ = E(l, 1, Ie(i)), l.braceNest = 0, l.inLinked = !1, _;
        const { isModulo: M, hasSpace: U } = oe(i);
        if (M)
          return U ? E(l, 0, Fe(i)) : E(l, 4, Be(i));
        if (q(i))
          return E(l, 0, Fe(i));
        break;
    }
    return _;
  }
  function Je() {
    const { currentType: i, offset: l, startLoc: _, endLoc: y } = u;
    return u.lastType = i, u.lastOffset = l, u.lastStartLoc = _, u.lastEndLoc = y, u.offset = r(), u.startLoc = a(), s.currentChar() === Te ? E(
      u,
      14
      /* TokenTypes.EOF */
    ) : Ae(s, u);
  }
  return {
    nextToken: Je,
    currentOffset: r,
    currentPosition: a,
    context: m
  };
}
const rc = "parser", oc = /(?:\\\\|\\'|\\u([0-9a-fA-F]{4})|\\U([0-9a-fA-F]{6}))/g;
function lc(e, t, n) {
  switch (e) {
    case "\\\\":
      return "\\";
    case "\\'":
      return "'";
    default: {
      const s = parseInt(t || n, 16);
      return s <= 55295 || s >= 57344 ? String.fromCodePoint(s) : "�";
    }
  }
}
function cc(e = {}) {
  const t = e.location !== !1, { onError: n } = e;
  function s(f, d, v, p, ...A) {
    const O = f.currentPosition();
    if (O.offset += p, O.column += p, n) {
      const h = t ? vt(v, O) : null, R = Ge(d, h, {
        domain: rc,
        args: A
      });
      n(R);
    }
  }
  function r(f, d, v) {
    const p = { type: f };
    return t && (p.start = d, p.end = d, p.loc = { start: v, end: v }), p;
  }
  function a(f, d, v, p) {
    p && (f.type = p), t && (f.end = d, f.loc && (f.loc.end = v));
  }
  function o(f, d) {
    const v = f.context(), p = r(3, v.offset, v.startLoc);
    return p.value = d, a(p, f.currentOffset(), f.currentPosition()), p;
  }
  function c(f, d) {
    const v = f.context(), { lastOffset: p, lastStartLoc: A } = v, O = r(5, p, A);
    return O.index = parseInt(d, 10), f.nextToken(), a(O, f.currentOffset(), f.currentPosition()), O;
  }
  function u(f, d) {
    const v = f.context(), { lastOffset: p, lastStartLoc: A } = v, O = r(4, p, A);
    return O.key = d, f.nextToken(), a(O, f.currentOffset(), f.currentPosition()), O;
  }
  function m(f, d) {
    const v = f.context(), { lastOffset: p, lastStartLoc: A } = v, O = r(9, p, A);
    return O.value = d.replace(oc, lc), f.nextToken(), a(O, f.currentOffset(), f.currentPosition()), O;
  }
  function N(f) {
    const d = f.nextToken(), v = f.context(), { lastOffset: p, lastStartLoc: A } = v, O = r(8, p, A);
    return d.type !== 12 ? (s(f, C.UNEXPECTED_EMPTY_LINKED_MODIFIER, v.lastStartLoc, 0), O.value = "", a(O, p, A), {
      nextConsumeToken: d,
      node: O
    }) : (d.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, v.lastStartLoc, 0, fe(d)), O.value = d.value || "", a(O, f.currentOffset(), f.currentPosition()), {
      node: O
    });
  }
  function T(f, d) {
    const v = f.context(), p = r(7, v.offset, v.startLoc);
    return p.value = d, a(p, f.currentOffset(), f.currentPosition()), p;
  }
  function E(f) {
    const d = f.context(), v = r(6, d.offset, d.startLoc);
    let p = f.nextToken();
    if (p.type === 9) {
      const A = N(f);
      v.modifier = A.node, p = A.nextConsumeToken || f.nextToken();
    }
    switch (p.type !== 10 && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe(p)), p = f.nextToken(), p.type === 2 && (p = f.nextToken()), p.type) {
      case 11:
        p.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe(p)), v.key = T(f, p.value || "");
        break;
      case 5:
        p.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe(p)), v.key = u(f, p.value || "");
        break;
      case 6:
        p.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe(p)), v.key = c(f, p.value || "");
        break;
      case 7:
        p.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe(p)), v.key = m(f, p.value || "");
        break;
      default:
        s(f, C.UNEXPECTED_EMPTY_LINKED_KEY, d.lastStartLoc, 0);
        const A = f.context(), O = r(7, A.offset, A.startLoc);
        return O.value = "", a(O, A.offset, A.startLoc), v.key = O, a(v, A.offset, A.startLoc), {
          nextConsumeToken: p,
          node: v
        };
    }
    return a(v, f.currentOffset(), f.currentPosition()), {
      node: v
    };
  }
  function I(f) {
    const d = f.context(), v = d.currentType === 1 ? f.currentOffset() : d.offset, p = d.currentType === 1 ? d.endLoc : d.startLoc, A = r(2, v, p);
    A.items = [];
    let O = null;
    do {
      const $ = O || f.nextToken();
      switch (O = null, $.type) {
        case 0:
          $.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe($)), A.items.push(o(f, $.value || ""));
          break;
        case 6:
          $.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe($)), A.items.push(c(f, $.value || ""));
          break;
        case 5:
          $.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe($)), A.items.push(u(f, $.value || ""));
          break;
        case 7:
          $.value == null && s(f, C.UNEXPECTED_LEXICAL_ANALYSIS, d.lastStartLoc, 0, fe($)), A.items.push(m(f, $.value || ""));
          break;
        case 8:
          const Y = E(f);
          A.items.push(Y.node), O = Y.nextConsumeToken || null;
          break;
      }
    } while (d.currentType !== 14 && d.currentType !== 1);
    const h = d.currentType === 1 ? d.lastOffset : f.currentOffset(), R = d.currentType === 1 ? d.lastEndLoc : f.currentPosition();
    return a(A, h, R), A;
  }
  function P(f, d, v, p) {
    const A = f.context();
    let O = p.items.length === 0;
    const h = r(1, d, v);
    h.cases = [], h.cases.push(p);
    do {
      const R = I(f);
      O || (O = R.items.length === 0), h.cases.push(R);
    } while (A.currentType !== 14);
    return O && s(f, C.MUST_HAVE_MESSAGES_IN_PLURAL, v, 0), a(h, f.currentOffset(), f.currentPosition()), h;
  }
  function D(f) {
    const d = f.context(), { offset: v, startLoc: p } = d, A = I(f);
    return d.currentType === 14 ? A : P(f, v, p, A);
  }
  function S(f) {
    const d = sc(f, kn({}, e)), v = d.context(), p = r(0, v.offset, v.startLoc);
    return t && p.loc && (p.loc.source = f), p.body = D(d), e.onCacheKey && (p.cacheKey = e.onCacheKey(f)), v.currentType !== 14 && s(d, C.UNEXPECTED_LEXICAL_ANALYSIS, v.lastStartLoc, 0, f[v.offset] || ""), a(p, d.currentOffset(), d.currentPosition()), p;
  }
  return { parse: S };
}
function fe(e) {
  if (e.type === 14)
    return "EOF";
  const t = (e.value || "").replace(/\r?\n/gu, "\\n");
  return t.length > 10 ? t.slice(0, 9) + "…" : t;
}
function ic(e, t = {}) {
  const n = {
    ast: e,
    helpers: /* @__PURE__ */ new Set()
  };
  return { context: () => n, helper: (a) => (n.helpers.add(a), a) };
}
function Qt(e, t) {
  for (let n = 0; n < e.length; n++)
    $t(e[n], t);
}
function $t(e, t) {
  switch (e.type) {
    case 1:
      Qt(e.cases, t), t.helper(
        "plural"
        /* HelperNameMap.PLURAL */
      );
      break;
    case 2:
      Qt(e.items, t);
      break;
    case 6:
      $t(e.key, t), t.helper(
        "linked"
        /* HelperNameMap.LINKED */
      ), t.helper(
        "type"
        /* HelperNameMap.TYPE */
      );
      break;
    case 5:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "list"
        /* HelperNameMap.LIST */
      );
      break;
    case 4:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "named"
        /* HelperNameMap.NAMED */
      );
      break;
  }
}
function uc(e, t = {}) {
  const n = ic(e);
  n.helper(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  ), e.body && $t(e.body, n);
  const s = n.context();
  e.helpers = Array.from(s.helpers);
}
function fc(e) {
  const t = e.body;
  return t.type === 2 ? Zt(t) : t.cases.forEach((n) => Zt(n)), e;
}
function Zt(e) {
  if (e.items.length === 1) {
    const t = e.items[0];
    (t.type === 3 || t.type === 9) && (e.static = t.value, delete t.value);
  } else {
    const t = [];
    for (let n = 0; n < e.items.length; n++) {
      const s = e.items[n];
      if (!(s.type === 3 || s.type === 9) || s.value == null)
        break;
      t.push(s.value);
    }
    if (t.length === e.items.length) {
      e.static = Rn(t);
      for (let n = 0; n < e.items.length; n++) {
        const s = e.items[n];
        (s.type === 3 || s.type === 9) && delete s.value;
      }
    }
  }
}
const _c = "minifier";
function Ue(e) {
  switch (e.t = e.type, e.type) {
    case 0:
      const t = e;
      Ue(t.body), t.b = t.body, delete t.body;
      break;
    case 1:
      const n = e, s = n.cases;
      for (let N = 0; N < s.length; N++)
        Ue(s[N]);
      n.c = s, delete n.cases;
      break;
    case 2:
      const r = e, a = r.items;
      for (let N = 0; N < a.length; N++)
        Ue(a[N]);
      r.i = a, delete r.items, r.static && (r.s = r.static, delete r.static);
      break;
    case 3:
    case 9:
    case 8:
    case 7:
      const o = e;
      o.value && (o.v = o.value, delete o.value);
      break;
    case 6:
      const c = e;
      Ue(c.key), c.k = c.key, delete c.key, c.modifier && (Ue(c.modifier), c.m = c.modifier, delete c.modifier);
      break;
    case 5:
      const u = e;
      u.i = u.index, delete u.index;
      break;
    case 4:
      const m = e;
      m.k = m.key, delete m.key;
      break;
    default:
      throw Ge(C.UNHANDLED_MINIFIER_NODE_TYPE, null, {
        domain: _c,
        args: [e.type]
      });
  }
  delete e.type;
}
const mc = "parser";
function dc(e, t) {
  const { sourceMap: n, filename: s, breakLineCode: r, needIndent: a } = t, o = t.location !== !1, c = {
    filename: s,
    code: "",
    column: 1,
    line: 1,
    offset: 0,
    map: void 0,
    breakLineCode: r,
    needIndent: a,
    indentLevel: 0
  };
  o && e.loc && (c.source = e.loc.source);
  const u = () => c;
  function m(S, f) {
    c.code += S;
  }
  function N(S, f = !0) {
    const d = f ? r : "";
    m(a ? d + "  ".repeat(S) : d);
  }
  function T(S = !0) {
    const f = ++c.indentLevel;
    S && N(f);
  }
  function E(S = !0) {
    const f = --c.indentLevel;
    S && N(f);
  }
  function I() {
    N(c.indentLevel);
  }
  return {
    context: u,
    push: m,
    indent: T,
    deindent: E,
    newline: I,
    helper: (S) => `_${S}`,
    needIndent: () => c.needIndent
  };
}
function gc(e, t) {
  const { helper: n } = e;
  e.push(`${n(
    "linked"
    /* HelperNameMap.LINKED */
  )}(`), We(e, t.key), t.modifier ? (e.push(", "), We(e, t.modifier), e.push(", _type")) : e.push(", undefined, _type"), e.push(")");
}
function Ec(e, t) {
  const { helper: n, needIndent: s } = e;
  e.push(`${n(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  )}([`), e.indent(s());
  const r = t.items.length;
  for (let a = 0; a < r && (We(e, t.items[a]), a !== r - 1); a++)
    e.push(", ");
  e.deindent(s()), e.push("])");
}
function pc(e, t) {
  const { helper: n, needIndent: s } = e;
  if (t.cases.length > 1) {
    e.push(`${n(
      "plural"
      /* HelperNameMap.PLURAL */
    )}([`), e.indent(s());
    const r = t.cases.length;
    for (let a = 0; a < r && (We(e, t.cases[a]), a !== r - 1); a++)
      e.push(", ");
    e.deindent(s()), e.push("])");
  }
}
function Nc(e, t) {
  t.body ? We(e, t.body) : e.push("null");
}
function We(e, t) {
  const { helper: n } = e;
  switch (t.type) {
    case 0:
      Nc(e, t);
      break;
    case 1:
      pc(e, t);
      break;
    case 2:
      Ec(e, t);
      break;
    case 6:
      gc(e, t);
      break;
    case 8:
      e.push(JSON.stringify(t.value), t);
      break;
    case 7:
      e.push(JSON.stringify(t.value), t);
      break;
    case 5:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "list"
        /* HelperNameMap.LIST */
      )}(${t.index}))`, t);
      break;
    case 4:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "named"
        /* HelperNameMap.NAMED */
      )}(${JSON.stringify(t.key)}))`, t);
      break;
    case 9:
      e.push(JSON.stringify(t.value), t);
      break;
    case 3:
      e.push(JSON.stringify(t.value), t);
      break;
    default:
      throw Ge(C.UNHANDLED_CODEGEN_NODE_TYPE, null, {
        domain: mc,
        args: [t.type]
      });
  }
}
const hc = (e, t = {}) => {
  const n = qt(t.mode) ? t.mode : "normal", s = qt(t.filename) ? t.filename : "message.intl", r = !!t.sourceMap, a = t.breakLineCode != null ? t.breakLineCode : n === "arrow" ? ";" : `
`, o = t.needIndent ? t.needIndent : n !== "arrow", c = e.helpers || [], u = dc(e, {
    mode: n,
    filename: s,
    sourceMap: r,
    breakLineCode: a,
    needIndent: o
  });
  u.push(n === "normal" ? "function __msg__ (ctx) {" : "(ctx) => {"), u.indent(o), c.length > 0 && (u.push(`const { ${Rn(c.map((T) => `${T}: _${T}`), ", ")} } = ctx`), u.newline()), u.push("return "), We(u, e), u.deindent(o), u.push("}"), delete e.helpers;
  const { code: m, map: N } = u.context();
  return {
    ast: e,
    code: m,
    map: N ? N.toJSON() : void 0
    // eslint-disable-line @typescript-eslint/no-explicit-any
  };
};
function Tc(e, t = {}) {
  const n = kn({}, t), s = !!n.jit, r = !!n.minify, a = n.optimize == null ? !0 : n.optimize, c = cc(n).parse(e);
  return s ? (a && fc(c), r && Ue(c), { ast: c, code: "" }) : (uc(c, n), hc(c, n));
}
/*!
  * core-base v9.6.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
function vc() {
  typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (Ne().__INTLIFY_PROD_DEVTOOLS__ = !1), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (Ne().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (Ne().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1);
}
const be = [];
be[
  0
  /* States.BEFORE_PATH */
] = {
  w: [
    0
    /* States.BEFORE_PATH */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
be[
  1
  /* States.IN_PATH */
] = {
  w: [
    1
    /* States.IN_PATH */
  ],
  ".": [
    2
    /* States.BEFORE_IDENT */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
be[
  2
  /* States.BEFORE_IDENT */
] = {
  w: [
    2
    /* States.BEFORE_IDENT */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ]
};
be[
  3
  /* States.IN_IDENT */
] = {
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ],
  w: [
    1,
    1
    /* Actions.PUSH */
  ],
  ".": [
    2,
    1
    /* Actions.PUSH */
  ],
  "[": [
    4,
    1
    /* Actions.PUSH */
  ],
  o: [
    7,
    1
    /* Actions.PUSH */
  ]
};
be[
  4
  /* States.IN_SUB_PATH */
] = {
  "'": [
    5,
    0
    /* Actions.APPEND */
  ],
  '"': [
    6,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4,
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ],
  "]": [
    1,
    3
    /* Actions.PUSH_SUB_PATH */
  ],
  o: 8,
  l: [
    4,
    0
    /* Actions.APPEND */
  ]
};
be[
  5
  /* States.IN_SINGLE_QUOTE */
] = {
  "'": [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    5,
    0
    /* Actions.APPEND */
  ]
};
be[
  6
  /* States.IN_DOUBLE_QUOTE */
] = {
  '"': [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    6,
    0
    /* Actions.APPEND */
  ]
};
const Lc = /^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;
function bc(e) {
  return Lc.test(e);
}
function Ic(e) {
  const t = e.charCodeAt(0), n = e.charCodeAt(e.length - 1);
  return t === n && (t === 34 || t === 39) ? e.slice(1, -1) : e;
}
function Oc(e) {
  if (e == null)
    return "o";
  switch (e.charCodeAt(0)) {
    case 91:
    case 93:
    case 46:
    case 34:
    case 39:
      return e;
    case 95:
    case 36:
    case 45:
      return "i";
    case 9:
    case 10:
    case 13:
    case 160:
    case 65279:
    case 8232:
    case 8233:
      return "w";
  }
  return "i";
}
function Ac(e) {
  const t = e.trim();
  return e.charAt(0) === "0" && isNaN(parseInt(e)) ? !1 : bc(t) ? Ic(t) : "*" + t;
}
function yc(e) {
  const t = [];
  let n = -1, s = 0, r = 0, a, o, c, u, m, N, T;
  const E = [];
  E[
    0
    /* Actions.APPEND */
  ] = () => {
    o === void 0 ? o = c : o += c;
  }, E[
    1
    /* Actions.PUSH */
  ] = () => {
    o !== void 0 && (t.push(o), o = void 0);
  }, E[
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ] = () => {
    E[
      0
      /* Actions.APPEND */
    ](), r++;
  }, E[
    3
    /* Actions.PUSH_SUB_PATH */
  ] = () => {
    if (r > 0)
      r--, s = 4, E[
        0
        /* Actions.APPEND */
      ]();
    else {
      if (r = 0, o === void 0 || (o = Ac(o), o === !1))
        return !1;
      E[
        1
        /* Actions.PUSH */
      ]();
    }
  };
  function I() {
    const P = e[n + 1];
    if (s === 5 && P === "'" || s === 6 && P === '"')
      return n++, c = "\\" + P, E[
        0
        /* Actions.APPEND */
      ](), !0;
  }
  for (; s !== null; )
    if (n++, a = e[n], !(a === "\\" && I())) {
      if (u = Oc(a), T = be[s], m = T[u] || T.l || 8, m === 8 || (s = m[0], m[1] !== void 0 && (N = E[m[1]], N && (c = a, N() === !1))))
        return;
      if (s === 7)
        return t;
    }
}
const zt = /* @__PURE__ */ new Map();
function Sc(e, t) {
  return V(e) ? e[t] : null;
}
function Dc(e, t) {
  if (!V(e))
    return null;
  let n = zt.get(t);
  if (n || (n = yc(t), n && zt.set(t, n)), !n)
    return null;
  const s = n.length;
  let r = e, a = 0;
  for (; a < s; ) {
    const o = r[n[a]];
    if (o === void 0)
      return null;
    r = o, a++;
  }
  return r;
}
const Pc = (e) => e, Cc = (e) => "", Mc = "text", kc = (e) => e.length === 0 ? "" : Wl(e), Rc = xl;
function en(e, t) {
  return e = Math.abs(e), t === 2 ? e ? e > 1 ? 1 : 0 : 1 : e ? Math.min(e, 2) : 0;
}
function Fc(e) {
  const t = X(e.pluralIndex) ? e.pluralIndex : -1;
  return e.named && (X(e.named.count) || X(e.named.n)) ? X(e.named.count) ? e.named.count : X(e.named.n) ? e.named.n : t : t;
}
function wc(e, t) {
  t.count || (t.count = e), t.n || (t.n = e);
}
function $c(e = {}) {
  const t = e.locale, n = Fc(e), s = V(e.pluralRules) && b(t) && H(e.pluralRules[t]) ? e.pluralRules[t] : en, r = V(e.pluralRules) && b(t) && H(e.pluralRules[t]) ? en : void 0, a = (f) => f[s(n, f.length, r)], o = e.list || [], c = (f) => o[f], u = e.named || {};
  X(e.pluralIndex) && wc(n, u);
  const m = (f) => u[f];
  function N(f) {
    const d = H(e.messages) ? e.messages(f) : V(e.messages) ? e.messages[f] : !1;
    return d || (e.parent ? e.parent.message(f) : Cc);
  }
  const T = (f) => e.modifiers ? e.modifiers[f] : Pc, E = k(e.processor) && H(e.processor.normalize) ? e.processor.normalize : kc, I = k(e.processor) && H(e.processor.interpolate) ? e.processor.interpolate : Rc, P = k(e.processor) && b(e.processor.type) ? e.processor.type : Mc, S = {
    list: c,
    named: m,
    plural: a,
    linked: (f, ...d) => {
      const [v, p] = d;
      let A = "text", O = "";
      d.length === 1 ? V(v) ? (O = v.modifier || O, A = v.type || A) : b(v) && (O = v || O) : d.length === 2 && (b(v) && (O = v || O), b(p) && (A = p || A));
      const h = N(f)(S), R = (
        // The message in vnode resolved with linked are returned as an array by processor.nomalize
        A === "vnode" && x(h) && O ? h[0] : h
      );
      return O ? T(O)(R, A) : R;
    },
    message: N,
    type: P,
    interpolate: I,
    normalize: E,
    values: Z({}, o, u)
  };
  return S;
}
let nt = null;
function Vc(e) {
  nt = e;
}
function Uc(e, t, n) {
  nt && nt.emit("i18n:init", {
    timestamp: Date.now(),
    i18n: e,
    version: t,
    meta: n
  });
}
const xc = /* @__PURE__ */ Wc(
  "function:translate"
  /* IntlifyDevToolsHooks.FunctionTranslate */
);
function Wc(e) {
  return (t) => nt && nt.emit(e, t);
}
const ee = {
  NOT_FOUND_KEY: 1,
  FALLBACK_TO_TRANSLATE: 2,
  CANNOT_FORMAT_NUMBER: 3,
  FALLBACK_TO_NUMBER_FORMAT: 4,
  CANNOT_FORMAT_DATE: 5,
  FALLBACK_TO_DATE_FORMAT: 6,
  EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER: 7,
  __EXTEND_POINT__: 8
}, Hc = {
  [ee.NOT_FOUND_KEY]: "Not found '{key}' key in '{locale}' locale messages.",
  [ee.FALLBACK_TO_TRANSLATE]: "Fall back to translate '{key}' key with '{target}' locale.",
  [ee.CANNOT_FORMAT_NUMBER]: "Cannot format a number value due to not supported Intl.NumberFormat.",
  [ee.FALLBACK_TO_NUMBER_FORMAT]: "Fall back to number format '{key}' key with '{target}' locale.",
  [ee.CANNOT_FORMAT_DATE]: "Cannot format a date value due to not supported Intl.DateTimeFormat.",
  [ee.FALLBACK_TO_DATE_FORMAT]: "Fall back to datetime format '{key}' key with '{target}' locale.",
  [ee.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER]: "This project is using Custom Message Compiler, which is an experimental feature. It may receive breaking changes or be removed in the future."
};
function Pe(e, ...t) {
  return Rt(Hc[e], ...t);
}
function Vt(e, t) {
  return t.locale != null ? tn(t.locale) : tn(e.locale);
}
let Et;
function tn(e) {
  return b(e) ? e : Et != null && e.resolvedOnce ? Et : Et = e();
}
function Gc(e, t, n) {
  return [.../* @__PURE__ */ new Set([
    n,
    ...x(t) ? t : V(t) ? Object.keys(t) : b(t) ? [t] : [n]
  ])];
}
function Fn(e, t, n) {
  const s = b(n) ? n : He, r = e;
  r.__localeChainCache || (r.__localeChainCache = /* @__PURE__ */ new Map());
  let a = r.__localeChainCache.get(s);
  if (!a) {
    a = [];
    let o = [n];
    for (; x(o); )
      o = nn(a, o, t);
    const c = x(t) || !k(t) ? t : t.default ? t.default : null;
    o = b(c) ? [c] : c, x(o) && nn(a, o, !1), r.__localeChainCache.set(s, a);
  }
  return a;
}
function nn(e, t, n) {
  let s = !0;
  for (let r = 0; r < t.length && F(s); r++) {
    const a = t[r];
    b(a) && (s = Yc(e, t[r], n));
  }
  return s;
}
function Yc(e, t, n) {
  let s;
  const r = t.split("-");
  do {
    const a = r.join("-");
    s = Bc(e, a, n), r.splice(-1, 1);
  } while (r.length && s === !0);
  return s;
}
function Bc(e, t, n) {
  let s = !1;
  if (!e.includes(t) && (s = !0, t)) {
    s = t[t.length - 1] !== "!";
    const r = t.replace(/!/g, "");
    e.push(r), (x(n) || k(n)) && n[r] && (s = n[r]);
  }
  return s;
}
const jc = "9.6.0", _t = -1, He = "en-US", ut = "", an = (e) => `${e.charAt(0).toLocaleUpperCase()}${e.substr(1)}`;
function Kc() {
  return {
    upper: (e, t) => t === "text" && b(e) ? e.toUpperCase() : t === "vnode" && V(e) && "__v_isVNode" in e ? e.children.toUpperCase() : e,
    lower: (e, t) => t === "text" && b(e) ? e.toLowerCase() : t === "vnode" && V(e) && "__v_isVNode" in e ? e.children.toLowerCase() : e,
    capitalize: (e, t) => t === "text" && b(e) ? an(e) : t === "vnode" && V(e) && "__v_isVNode" in e ? an(e.children) : e
  };
}
let wn;
function sn(e) {
  wn = e;
}
let $n;
function Xc(e) {
  $n = e;
}
let Vn;
function qc(e) {
  Vn = e;
}
let Un = null;
const rn = (e) => {
  Un = e;
}, Jc = () => Un;
let xn = null;
const on = (e) => {
  xn = e;
}, Qc = () => xn;
let ln = 0;
function Zc(e = {}) {
  const t = H(e.onWarn) ? e.onWarn : J, n = b(e.version) ? e.version : jc, s = b(e.locale) || H(e.locale) ? e.locale : He, r = H(s) ? He : s, a = x(e.fallbackLocale) || k(e.fallbackLocale) || b(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : r, o = k(e.messages) ? e.messages : { [r]: {} }, c = k(e.datetimeFormats) ? e.datetimeFormats : { [r]: {} }, u = k(e.numberFormats) ? e.numberFormats : { [r]: {} }, m = Z({}, e.modifiers || {}, Kc()), N = e.pluralRules || {}, T = H(e.missing) ? e.missing : null, E = F(e.missingWarn) || Le(e.missingWarn) ? e.missingWarn : !0, I = F(e.fallbackWarn) || Le(e.fallbackWarn) ? e.fallbackWarn : !0, P = !!e.fallbackFormat, D = !!e.unresolving, S = H(e.postTranslation) ? e.postTranslation : null, f = k(e.processor) ? e.processor : null, d = F(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, v = !!e.escapeParameter, p = H(e.messageCompiler) ? e.messageCompiler : wn;
  process.env.NODE_ENV !== "production" && H(e.messageCompiler) && Gl(Pe(ee.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER));
  const A = H(e.messageResolver) ? e.messageResolver : $n || Sc, O = H(e.localeFallbacker) ? e.localeFallbacker : Vn || Gc, h = V(e.fallbackContext) ? e.fallbackContext : void 0, R = e, $ = V(R.__datetimeFormatters) ? R.__datetimeFormatters : /* @__PURE__ */ new Map(), Y = V(R.__numberFormatters) ? R.__numberFormatters : /* @__PURE__ */ new Map(), oe = V(R.__meta) ? R.__meta : {};
  ln++;
  const q = {
    version: n,
    cid: ln,
    locale: s,
    fallbackLocale: a,
    messages: o,
    modifiers: m,
    pluralRules: N,
    missing: T,
    missingWarn: E,
    fallbackWarn: I,
    fallbackFormat: P,
    unresolving: D,
    postTranslation: S,
    processor: f,
    warnHtmlMessage: d,
    escapeParameter: v,
    messageCompiler: p,
    messageResolver: A,
    localeFallbacker: O,
    fallbackContext: h,
    onWarn: t,
    __meta: oe
  };
  return q.datetimeFormats = c, q.numberFormats = u, q.__datetimeFormatters = $, q.__numberFormatters = Y, process.env.NODE_ENV !== "production" && (q.__v_emitter = R.__v_emitter != null ? R.__v_emitter : void 0), (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && Uc(q, n, oe), q;
}
function mt(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function Wn(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function Ut(e, t, n, s, r) {
  const { missing: a, onWarn: o } = e;
  if (process.env.NODE_ENV !== "production") {
    const c = e.__v_emitter;
    c && c.emit("missing", {
      locale: n,
      key: t,
      type: r,
      groupId: `${r}:${t}`
    });
  }
  if (a !== null) {
    const c = a(e, n, t, r);
    return b(c) ? c : t;
  } else
    return process.env.NODE_ENV !== "production" && Wn(s, t) && o(Pe(ee.NOT_FOUND_KEY, { key: t, locale: n })), t;
}
function Ze(e, t, n) {
  const s = e;
  s.__localeChainCache = /* @__PURE__ */ new Map(), e.localeFallbacker(e, n, t);
}
function pt(e) {
  return (n) => zc(n, e);
}
function zc(e, t) {
  const n = t.b || t.body;
  if ((n.t || n.type) === 1) {
    const s = n, r = s.c || s.cases;
    return e.plural(r.reduce((a, o) => [
      ...a,
      cn(e, o)
    ], []));
  } else
    return cn(e, n);
}
function cn(e, t) {
  const n = t.s || t.static;
  if (n)
    return e.type === "text" ? n : e.normalize([n]);
  {
    const s = (t.i || t.items).reduce((r, a) => [...r, Lt(e, a)], []);
    return e.normalize(s);
  }
}
function Lt(e, t) {
  const n = t.t || t.type;
  switch (n) {
    case 3:
      const s = t;
      return s.v || s.value;
    case 9:
      const r = t;
      return r.v || r.value;
    case 4:
      const a = t;
      return e.interpolate(e.named(a.k || a.key));
    case 5:
      const o = t;
      return e.interpolate(e.list(o.i != null ? o.i : o.index));
    case 6:
      const c = t, u = c.m || c.modifier;
      return e.linked(Lt(e, c.k || c.key), u ? Lt(e, u) : void 0, e.type);
    case 7:
      const m = t;
      return m.v || m.value;
    case 8:
      const N = t;
      return N.v || N.value;
    default:
      throw new Error(`unhandled node type on format message part: ${n}`);
  }
}
const Hn = C.__EXTEND_POINT__, ct = Ft(Hn), re = {
  INVALID_ARGUMENT: Hn,
  INVALID_DATE_ARGUMENT: ct(),
  INVALID_ISO_DATE_ARGUMENT: ct(),
  NOT_SUPPORT_NON_STRING_MESSAGE: ct(),
  __EXTEND_POINT__: ct()
  // 22
};
function Se(e) {
  return Ge(e, null, process.env.NODE_ENV !== "production" ? { messages: ei } : void 0);
}
const ei = {
  [re.INVALID_ARGUMENT]: "Invalid arguments",
  [re.INVALID_DATE_ARGUMENT]: "The date provided is an invalid Date object.Make sure your Date represents a valid date.",
  [re.INVALID_ISO_DATE_ARGUMENT]: "The argument provided is not a valid ISO date string",
  [re.NOT_SUPPORT_NON_STRING_MESSAGE]: "Not support non-string message"
}, ti = "Detected HTML in '{source}' message. Recommend not using HTML messages to avoid XSS.";
function Gn(e, t) {
  t && Ql(e) && J(Rt(ti, { source: e }));
}
const Yn = (e) => e;
let xe = /* @__PURE__ */ Object.create(null);
const Ce = (e) => V(e) && (e.t === 0 || e.type === 0) && ("b" in e || "body" in e);
function Bn(e, t = {}) {
  let n = !1;
  const s = t.onError || ql;
  return t.onError = (r) => {
    n = !0, s(r);
  }, { ...Tc(e, t), detectError: n };
}
const ni = (e, t) => {
  if (!b(e))
    throw Se(re.NOT_SUPPORT_NON_STRING_MESSAGE);
  {
    const n = F(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Gn(e, n);
    const r = (t.onCacheKey || Yn)(e), a = xe[r];
    if (a)
      return a;
    const { code: o, detectError: c } = Bn(e, t), u = new Function(`return ${o}`)();
    return c ? u : xe[r] = u;
  }
};
function ai(e, t) {
  if (__INTLIFY_JIT_COMPILATION__ && !__INTLIFY_DROP_MESSAGE_COMPILER__ && b(e)) {
    const n = F(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Gn(e, n);
    const r = (t.onCacheKey || Yn)(e), a = xe[r];
    if (a)
      return a;
    const { ast: o, detectError: c } = Bn(e, {
      ...t,
      location: process.env.NODE_ENV !== "production",
      jit: !0
    }), u = pt(o);
    return c ? u : xe[r] = u;
  } else {
    if (process.env.NODE_ENV !== "production" && !Ce(e))
      return J(`the message that is resolve with key '${t.key}' is not supported for jit compilation`), () => e;
    const n = e.cacheKey;
    if (n) {
      const s = xe[n];
      return s || (xe[n] = pt(e));
    } else
      return pt(e);
  }
}
const un = () => "", le = (e) => H(e);
function fn(e, ...t) {
  const { fallbackFormat: n, postTranslation: s, unresolving: r, messageCompiler: a, fallbackLocale: o, messages: c } = e, [u, m] = bt(...t), N = F(m.missingWarn) ? m.missingWarn : e.missingWarn, T = F(m.fallbackWarn) ? m.fallbackWarn : e.fallbackWarn, E = F(m.escapeParameter) ? m.escapeParameter : e.escapeParameter, I = !!m.resolvedMessage, P = b(m.default) || F(m.default) ? F(m.default) ? a ? u : () => u : m.default : n ? a ? u : () => u : "", D = n || P !== "", S = Vt(e, m);
  E && si(m);
  let [f, d, v] = I ? [
    u,
    S,
    c[S] || {}
  ] : jn(e, u, S, o, T, N), p = f, A = u;
  if (!I && !(b(p) || Ce(p) || le(p)) && D && (p = P, A = p), !I && (!(b(p) || Ce(p) || le(p)) || !b(d)))
    return r ? _t : u;
  if (process.env.NODE_ENV !== "production" && b(p) && e.messageCompiler == null)
    return J(`The message format compilation is not supported in this build. Because message compiler isn't included. You need to pre-compilation all message format. So translate function return '${u}'.`), u;
  let O = !1;
  const h = () => {
    O = !0;
  }, R = le(p) ? p : Kn(e, u, d, p, A, h);
  if (O)
    return p;
  const $ = ci(e, d, v, m), Y = $c($), oe = ri(e, R, Y), q = s ? s(oe, u) : oe;
  if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
    const se = {
      timestamp: Date.now(),
      key: b(u) ? u : le(p) ? p.key : "",
      locale: d || (le(p) ? p.locale : ""),
      format: b(p) ? p : le(p) ? p.source : "",
      message: q
    };
    se.meta = Z({}, e.__meta, Jc() || {}), xc(se);
  }
  return q;
}
function si(e) {
  x(e.list) ? e.list = e.list.map((t) => b(t) ? jt(t) : t) : V(e.named) && Object.keys(e.named).forEach((t) => {
    b(e.named[t]) && (e.named[t] = jt(e.named[t]));
  });
}
function jn(e, t, n, s, r, a) {
  const { messages: o, onWarn: c, messageResolver: u, localeFallbacker: m } = e, N = m(e, s, n);
  let T = {}, E, I = null, P = n, D = null;
  const S = "translate";
  for (let f = 0; f < N.length; f++) {
    if (E = D = N[f], process.env.NODE_ENV !== "production" && n !== E && mt(r, t) && c(Pe(ee.FALLBACK_TO_TRANSLATE, {
      key: t,
      target: E
    })), process.env.NODE_ENV !== "production" && n !== E) {
      const O = e.__v_emitter;
      O && O.emit("fallback", {
        type: S,
        key: t,
        from: P,
        to: D,
        groupId: `${S}:${t}`
      });
    }
    T = o[E] || {};
    let d = null, v, p;
    if (process.env.NODE_ENV !== "production" && de && (d = window.performance.now(), v = "intlify-message-resolve-start", p = "intlify-message-resolve-end", ae && ae(v)), (I = u(T, t)) === null && (I = T[t]), process.env.NODE_ENV !== "production" && de) {
      const O = window.performance.now(), h = e.__v_emitter;
      h && d && I && h.emit("message-resolve", {
        type: "message-resolve",
        key: t,
        message: I,
        time: O - d,
        groupId: `${S}:${t}`
      }), v && p && ae && De && (ae(p), De("intlify message resolve", v, p));
    }
    if (b(I) || Ce(I) || le(I))
      break;
    const A = Ut(
      e,
      // eslint-disable-line @typescript-eslint/no-explicit-any
      t,
      E,
      a,
      S
    );
    A !== t && (I = A), P = D;
  }
  return [I, E, T];
}
function Kn(e, t, n, s, r, a) {
  const { messageCompiler: o, warnHtmlMessage: c } = e;
  if (le(s)) {
    const E = s;
    return E.locale = E.locale || n, E.key = E.key || t, E;
  }
  if (o == null) {
    const E = () => s;
    return E.locale = n, E.key = t, E;
  }
  let u = null, m, N;
  process.env.NODE_ENV !== "production" && de && (u = window.performance.now(), m = "intlify-message-compilation-start", N = "intlify-message-compilation-end", ae && ae(m));
  const T = o(s, oi(e, n, r, s, c, a));
  if (process.env.NODE_ENV !== "production" && de) {
    const E = window.performance.now(), I = e.__v_emitter;
    I && u && I.emit("message-compilation", {
      type: "message-compilation",
      message: s,
      time: E - u,
      groupId: `translate:${t}`
    }), m && N && ae && De && (ae(N), De("intlify message compilation", m, N));
  }
  return T.locale = n, T.key = t, T.source = s, T;
}
function ri(e, t, n) {
  let s = null, r, a;
  process.env.NODE_ENV !== "production" && de && (s = window.performance.now(), r = "intlify-message-evaluation-start", a = "intlify-message-evaluation-end", ae && ae(r));
  const o = t(n);
  if (process.env.NODE_ENV !== "production" && de) {
    const c = window.performance.now(), u = e.__v_emitter;
    u && s && u.emit("message-evaluation", {
      type: "message-evaluation",
      value: o,
      time: c - s,
      groupId: `translate:${t.key}`
    }), r && a && ae && De && (ae(a), De("intlify message evaluation", r, a));
  }
  return o;
}
function bt(...e) {
  const [t, n, s] = e, r = {};
  if (!b(t) && !X(t) && !le(t) && !Ce(t))
    throw Se(re.INVALID_ARGUMENT);
  const a = X(t) ? String(t) : (le(t), t);
  return X(n) ? r.plural = n : b(n) ? r.default = n : k(n) && !ft(n) ? r.named = n : x(n) && (r.list = n), X(s) ? r.plural = s : b(s) ? r.default = s : k(s) && Z(r, s), [a, r];
}
function oi(e, t, n, s, r, a) {
  return {
    locale: t,
    key: n,
    warnHtmlMessage: r,
    onError: (o) => {
      if (a && a(o), process.env.NODE_ENV !== "production") {
        const c = li(s), u = `Message compilation error: ${o.message}`, m = o.location && c && Hl(c, o.location.start.offset, o.location.end.offset), N = e.__v_emitter;
        N && c && N.emit("compile-error", {
          message: c,
          error: o.message,
          start: o.location && o.location.start.offset,
          end: o.location && o.location.end.offset,
          groupId: `translate:${n}`
        }), console.error(m ? `${u}
${m}` : u);
      } else
        throw o;
    },
    onCacheKey: (o) => wl(t, n, o)
  };
}
function li(e) {
  var t;
  if (!b(e)) {
    if ((t = e.loc) != null && t.source)
      return e.loc.source;
  }
}
function ci(e, t, n, s) {
  const { modifiers: r, pluralRules: a, messageResolver: o, fallbackLocale: c, fallbackWarn: u, missingWarn: m, fallbackContext: N } = e, E = {
    locale: t,
    modifiers: r,
    pluralRules: a,
    messages: (I) => {
      let P = o(n, I);
      if (P == null && N) {
        const [, , D] = jn(N, I, t, c, u, m);
        P = o(D, I);
      }
      if (b(P) || Ce(P)) {
        let D = !1;
        const f = Kn(e, I, t, P, I, () => {
          D = !0;
        });
        return D ? un : f;
      } else
        return le(P) ? P : un;
    }
  };
  return e.processor && (E.processor = e.processor), s.list && (E.list = s.list), s.named && (E.named = s.named), X(s.plural) && (E.pluralIndex = s.plural), E;
}
const _n = typeof Intl < "u", Xn = {
  dateTimeFormat: _n && typeof Intl.DateTimeFormat < "u",
  numberFormat: _n && typeof Intl.NumberFormat < "u"
};
function mn(e, ...t) {
  const { datetimeFormats: n, unresolving: s, fallbackLocale: r, onWarn: a, localeFallbacker: o } = e, { __datetimeFormatters: c } = e;
  if (process.env.NODE_ENV !== "production" && !Xn.dateTimeFormat)
    return a(Pe(ee.CANNOT_FORMAT_DATE)), ut;
  const [u, m, N, T] = It(...t), E = F(N.missingWarn) ? N.missingWarn : e.missingWarn, I = F(N.fallbackWarn) ? N.fallbackWarn : e.fallbackWarn, P = !!N.part, D = Vt(e, N), S = o(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    r,
    D
  );
  if (!b(u) || u === "")
    return new Intl.DateTimeFormat(D, T).format(m);
  let f = {}, d, v = null, p = D, A = null;
  const O = "datetime format";
  for (let $ = 0; $ < S.length; $++) {
    if (d = A = S[$], process.env.NODE_ENV !== "production" && D !== d && mt(I, u) && a(Pe(ee.FALLBACK_TO_DATE_FORMAT, {
      key: u,
      target: d
    })), process.env.NODE_ENV !== "production" && D !== d) {
      const Y = e.__v_emitter;
      Y && Y.emit("fallback", {
        type: O,
        key: u,
        from: p,
        to: A,
        groupId: `${O}:${u}`
      });
    }
    if (f = n[d] || {}, v = f[u], k(v))
      break;
    Ut(e, u, d, E, O), p = A;
  }
  if (!k(v) || !b(d))
    return s ? _t : u;
  let h = `${d}__${u}`;
  ft(T) || (h = `${h}__${JSON.stringify(T)}`);
  let R = c.get(h);
  return R || (R = new Intl.DateTimeFormat(d, Z({}, v, T)), c.set(h, R)), P ? R.formatToParts(m) : R.format(m);
}
const qn = [
  "localeMatcher",
  "weekday",
  "era",
  "year",
  "month",
  "day",
  "hour",
  "minute",
  "second",
  "timeZoneName",
  "formatMatcher",
  "hour12",
  "timeZone",
  "dateStyle",
  "timeStyle",
  "calendar",
  "dayPeriod",
  "numberingSystem",
  "hourCycle",
  "fractionalSecondDigits"
];
function It(...e) {
  const [t, n, s, r] = e, a = {};
  let o = {}, c;
  if (b(t)) {
    const u = t.match(/(\d{4}-\d{2}-\d{2})(T|\s)?(.*)/);
    if (!u)
      throw Se(re.INVALID_ISO_DATE_ARGUMENT);
    const m = u[3] ? u[3].trim().startsWith("T") ? `${u[1].trim()}${u[3].trim()}` : `${u[1].trim()}T${u[3].trim()}` : u[1].trim();
    c = new Date(m);
    try {
      c.toISOString();
    } catch {
      throw Se(re.INVALID_ISO_DATE_ARGUMENT);
    }
  } else if (Vl(t)) {
    if (isNaN(t.getTime()))
      throw Se(re.INVALID_DATE_ARGUMENT);
    c = t;
  } else if (X(t))
    c = t;
  else
    throw Se(re.INVALID_ARGUMENT);
  return b(n) ? a.key = n : k(n) && Object.keys(n).forEach((u) => {
    qn.includes(u) ? o[u] = n[u] : a[u] = n[u];
  }), b(s) ? a.locale = s : k(s) && (o = s), k(r) && (o = r), [a.key || "", c, a, o];
}
function dn(e, t, n) {
  const s = e;
  for (const r in n) {
    const a = `${t}__${r}`;
    s.__datetimeFormatters.has(a) && s.__datetimeFormatters.delete(a);
  }
}
function gn(e, ...t) {
  const { numberFormats: n, unresolving: s, fallbackLocale: r, onWarn: a, localeFallbacker: o } = e, { __numberFormatters: c } = e;
  if (process.env.NODE_ENV !== "production" && !Xn.numberFormat)
    return a(Pe(ee.CANNOT_FORMAT_NUMBER)), ut;
  const [u, m, N, T] = Ot(...t), E = F(N.missingWarn) ? N.missingWarn : e.missingWarn, I = F(N.fallbackWarn) ? N.fallbackWarn : e.fallbackWarn, P = !!N.part, D = Vt(e, N), S = o(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    r,
    D
  );
  if (!b(u) || u === "")
    return new Intl.NumberFormat(D, T).format(m);
  let f = {}, d, v = null, p = D, A = null;
  const O = "number format";
  for (let $ = 0; $ < S.length; $++) {
    if (d = A = S[$], process.env.NODE_ENV !== "production" && D !== d && mt(I, u) && a(Pe(ee.FALLBACK_TO_NUMBER_FORMAT, {
      key: u,
      target: d
    })), process.env.NODE_ENV !== "production" && D !== d) {
      const Y = e.__v_emitter;
      Y && Y.emit("fallback", {
        type: O,
        key: u,
        from: p,
        to: A,
        groupId: `${O}:${u}`
      });
    }
    if (f = n[d] || {}, v = f[u], k(v))
      break;
    Ut(e, u, d, E, O), p = A;
  }
  if (!k(v) || !b(d))
    return s ? _t : u;
  let h = `${d}__${u}`;
  ft(T) || (h = `${h}__${JSON.stringify(T)}`);
  let R = c.get(h);
  return R || (R = new Intl.NumberFormat(d, Z({}, v, T)), c.set(h, R)), P ? R.formatToParts(m) : R.format(m);
}
const Jn = [
  "localeMatcher",
  "style",
  "currency",
  "currencyDisplay",
  "currencySign",
  "useGrouping",
  "minimumIntegerDigits",
  "minimumFractionDigits",
  "maximumFractionDigits",
  "minimumSignificantDigits",
  "maximumSignificantDigits",
  "compactDisplay",
  "notation",
  "signDisplay",
  "unit",
  "unitDisplay",
  "roundingMode",
  "roundingPriority",
  "roundingIncrement",
  "trailingZeroDisplay"
];
function Ot(...e) {
  const [t, n, s, r] = e, a = {};
  let o = {};
  if (!X(t))
    throw Se(re.INVALID_ARGUMENT);
  const c = t;
  return b(n) ? a.key = n : k(n) && Object.keys(n).forEach((u) => {
    Jn.includes(u) ? o[u] = n[u] : a[u] = n[u];
  }), b(s) ? a.locale = s : k(s) && (o = s), k(r) && (o = r), [a.key || "", c, a, o];
}
function En(e, t, n) {
  const s = e;
  for (const r in n) {
    const a = `${t}__${r}`;
    s.__numberFormatters.has(a) && s.__numberFormatters.delete(a);
  }
}
vc();
function ii() {
  return Qn().__VUE_DEVTOOLS_GLOBAL_HOOK__;
}
function Qn() {
  return typeof navigator < "u" && typeof window < "u" ? window : typeof global < "u" ? global : {};
}
const ui = typeof Proxy == "function", fi = "devtools-plugin:setup", _i = "plugin:settings:set";
let Ve, At;
function mi() {
  var e;
  return Ve !== void 0 || (typeof window < "u" && window.performance ? (Ve = !0, At = window.performance) : typeof global < "u" && (!((e = global.perf_hooks) === null || e === void 0) && e.performance) ? (Ve = !0, At = global.perf_hooks.performance) : Ve = !1), Ve;
}
function di() {
  return mi() ? At.now() : Date.now();
}
class gi {
  constructor(t, n) {
    this.target = null, this.targetQueue = [], this.onQueue = [], this.plugin = t, this.hook = n;
    const s = {};
    if (t.settings)
      for (const o in t.settings) {
        const c = t.settings[o];
        s[o] = c.defaultValue;
      }
    const r = `__vue-devtools-plugin-settings__${t.id}`;
    let a = Object.assign({}, s);
    try {
      const o = localStorage.getItem(r), c = JSON.parse(o);
      Object.assign(a, c);
    } catch {
    }
    this.fallbacks = {
      getSettings() {
        return a;
      },
      setSettings(o) {
        try {
          localStorage.setItem(r, JSON.stringify(o));
        } catch {
        }
        a = o;
      },
      now() {
        return di();
      }
    }, n && n.on(_i, (o, c) => {
      o === this.plugin.id && this.fallbacks.setSettings(c);
    }), this.proxiedOn = new Proxy({}, {
      get: (o, c) => this.target ? this.target.on[c] : (...u) => {
        this.onQueue.push({
          method: c,
          args: u
        });
      }
    }), this.proxiedTarget = new Proxy({}, {
      get: (o, c) => this.target ? this.target[c] : c === "on" ? this.proxiedOn : Object.keys(this.fallbacks).includes(c) ? (...u) => (this.targetQueue.push({
        method: c,
        args: u,
        resolve: () => {
        }
      }), this.fallbacks[c](...u)) : (...u) => new Promise((m) => {
        this.targetQueue.push({
          method: c,
          args: u,
          resolve: m
        });
      })
    });
  }
  async setRealTarget(t) {
    this.target = t;
    for (const n of this.onQueue)
      this.target.on[n.method](...n.args);
    for (const n of this.targetQueue)
      n.resolve(await this.target[n.method](...n.args));
  }
}
function Ei(e, t) {
  const n = e, s = Qn(), r = ii(), a = ui && n.enableEarlyProxy;
  if (r && (s.__VUE_DEVTOOLS_PLUGIN_API_AVAILABLE__ || !a))
    r.emit(fi, e, t);
  else {
    const o = a ? new gi(n, r) : null;
    (s.__VUE_DEVTOOLS_PLUGINS__ = s.__VUE_DEVTOOLS_PLUGINS__ || []).push({
      pluginDescriptor: n,
      setupFn: t,
      proxy: o
    }), o && t(o.proxiedTarget);
  }
}
/*!
  * vue-i18n v9.6.0
  * (c) 2023 kazuya kawaguchi
  * Released under the MIT License.
  */
const pi = "9.6.0";
function Ni() {
  typeof __VUE_I18N_FULL_INSTALL__ != "boolean" && (Ne().__VUE_I18N_FULL_INSTALL__ = !0), typeof __VUE_I18N_LEGACY_API__ != "boolean" && (Ne().__VUE_I18N_LEGACY_API__ = !0), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (Ne().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (Ne().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1), typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (Ne().__INTLIFY_PROD_DEVTOOLS__ = !1);
}
const Zn = ee.__EXTEND_POINT__, ve = Ft(Zn), G = {
  FALLBACK_TO_ROOT: Zn,
  NOT_SUPPORTED_PRESERVE: ve(),
  NOT_SUPPORTED_FORMATTER: ve(),
  NOT_SUPPORTED_PRESERVE_DIRECTIVE: ve(),
  NOT_SUPPORTED_GET_CHOICE_INDEX: ve(),
  COMPONENT_NAME_LEGACY_COMPATIBLE: ve(),
  NOT_FOUND_PARENT_SCOPE: ve(),
  IGNORE_OBJ_FLATTEN: ve(),
  NOTICE_DROP_ALLOW_COMPOSITION: ve()
  // 17
}, hi = {
  [G.FALLBACK_TO_ROOT]: "Fall back to {type} '{key}' with root locale.",
  [G.NOT_SUPPORTED_PRESERVE]: "Not supported 'preserve'.",
  [G.NOT_SUPPORTED_FORMATTER]: "Not supported 'formatter'.",
  [G.NOT_SUPPORTED_PRESERVE_DIRECTIVE]: "Not supported 'preserveDirectiveContent'.",
  [G.NOT_SUPPORTED_GET_CHOICE_INDEX]: "Not supported 'getChoiceIndex'.",
  [G.COMPONENT_NAME_LEGACY_COMPATIBLE]: "Component name legacy compatible: '{name}' -> 'i18n'",
  [G.NOT_FOUND_PARENT_SCOPE]: "Not found parent scope. use the global scope.",
  [G.IGNORE_OBJ_FLATTEN]: "Ignore object flatten: '{key}' key has an string value",
  [G.NOTICE_DROP_ALLOW_COMPOSITION]: "'allowComposition' option will be dropped in the next major version. For more information, please see 👉 https://tinyurl.com/2p97mcze"
};
function ne(e, ...t) {
  return Rt(hi[e], ...t);
}
const zn = re.__EXTEND_POINT__, te = Ft(zn), w = {
  // composer module errors
  UNEXPECTED_RETURN_TYPE: zn,
  // legacy module errors
  INVALID_ARGUMENT: te(),
  // i18n module errors
  MUST_BE_CALL_SETUP_TOP: te(),
  NOT_INSTALLED: te(),
  NOT_AVAILABLE_IN_LEGACY_MODE: te(),
  // directive module errors
  REQUIRED_VALUE: te(),
  INVALID_VALUE: te(),
  // vue-devtools errors
  CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN: te(),
  NOT_INSTALLED_WITH_PROVIDE: te(),
  // unexpected error
  UNEXPECTED_ERROR: te(),
  // not compatible legacy vue-i18n constructor
  NOT_COMPATIBLE_LEGACY_VUE_I18N: te(),
  // bridge support vue 2.x only
  BRIDGE_SUPPORT_VUE_2_ONLY: te(),
  // need to define `i18n` option in `allowComposition: true` and `useScope: 'local' at `useI18n``
  MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION: te(),
  // Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly
  NOT_AVAILABLE_COMPOSITION_IN_LEGACY: te(),
  // for enhancement
  __EXTEND_POINT__: te()
  // 37
};
function K(e, ...t) {
  return Ge(e, null, process.env.NODE_ENV !== "production" ? { messages: Ti, args: t } : void 0);
}
const Ti = {
  [w.UNEXPECTED_RETURN_TYPE]: "Unexpected return type in composer",
  [w.INVALID_ARGUMENT]: "Invalid argument",
  [w.MUST_BE_CALL_SETUP_TOP]: "Must be called at the top of a `setup` function",
  [w.NOT_INSTALLED]: "Need to install with `app.use` function",
  [w.UNEXPECTED_ERROR]: "Unexpected error",
  [w.NOT_AVAILABLE_IN_LEGACY_MODE]: "Not available in legacy mode",
  [w.REQUIRED_VALUE]: "Required in value: {0}",
  [w.INVALID_VALUE]: "Invalid value",
  [w.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN]: "Cannot setup vue-devtools plugin",
  [w.NOT_INSTALLED_WITH_PROVIDE]: "Need to install with `provide` function",
  [w.NOT_COMPATIBLE_LEGACY_VUE_I18N]: "Not compatible legacy VueI18n.",
  [w.BRIDGE_SUPPORT_VUE_2_ONLY]: "vue-i18n-bridge support Vue 2.x only",
  [w.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION]: "Must define ‘i18n’ option or custom block in Composition API with using local scope in Legacy API mode",
  [w.NOT_AVAILABLE_COMPOSITION_IN_LEGACY]: "Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly"
}, yt = /* @__PURE__ */ ge("__translateVNode"), St = /* @__PURE__ */ ge("__datetimeParts"), Dt = /* @__PURE__ */ ge("__numberParts"), Me = /* @__PURE__ */ ge("__enableEmitter"), at = /* @__PURE__ */ ge("__disableEmitter"), ea = ge("__setPluralRules"), ta = /* @__PURE__ */ ge("__injectWithOption"), Pt = /* @__PURE__ */ ge("__dispose");
function st(e) {
  if (!V(e))
    return e;
  for (const t in e)
    if (tt(e, t))
      if (!t.includes("."))
        V(e[t]) && st(e[t]);
      else {
        const n = t.split("."), s = n.length - 1;
        let r = e, a = !1;
        for (let o = 0; o < s; o++) {
          if (n[o] in r || (r[n[o]] = {}), !V(r[n[o]])) {
            process.env.NODE_ENV !== "production" && J(ne(G.IGNORE_OBJ_FLATTEN, {
              key: n[o]
            })), a = !0;
            break;
          }
          r = r[n[o]];
        }
        a || (r[n[s]] = e[t], delete e[t]), V(r[n[s]]) && st(r[n[s]]);
      }
  return e;
}
function dt(e, t) {
  const { messages: n, __i18n: s, messageResolver: r, flatJson: a } = t, o = k(n) ? n : x(s) ? {} : { [e]: {} };
  if (x(s) && s.forEach((c) => {
    if ("locale" in c && "resource" in c) {
      const { locale: u, resource: m } = c;
      u ? (o[u] = o[u] || {}, ze(m, o[u])) : ze(m, o);
    } else
      b(c) && ze(JSON.parse(c), o);
  }), r == null && a)
    for (const c in o)
      tt(o, c) && st(o[c]);
  return o;
}
const it = (e) => !V(e) || x(e);
function ze(e, t) {
  if (it(e) || it(t))
    throw K(w.INVALID_VALUE);
  for (const n in e)
    tt(e, n) && (it(e[n]) || it(t[n]) ? t[n] = e[n] : ze(e[n], t[n]));
}
function na(e) {
  return e.type;
}
function aa(e, t, n) {
  let s = V(t.messages) ? t.messages : {};
  "__i18nGlobal" in n && (s = dt(e.locale.value, {
    messages: s,
    __i18n: n.__i18nGlobal
  }));
  const r = Object.keys(s);
  r.length && r.forEach((a) => {
    e.mergeLocaleMessage(a, s[a]);
  });
  {
    if (V(t.datetimeFormats)) {
      const a = Object.keys(t.datetimeFormats);
      a.length && a.forEach((o) => {
        e.mergeDateTimeFormat(o, t.datetimeFormats[o]);
      });
    }
    if (V(t.numberFormats)) {
      const a = Object.keys(t.numberFormats);
      a.length && a.forEach((o) => {
        e.mergeNumberFormat(o, t.numberFormats[o]);
      });
    }
  }
}
function pn(e) {
  return va(La, null, e, 0);
}
const Nn = "__INTLIFY_META__";
let hn = 0;
function Tn(e) {
  return (t, n, s, r) => e(n, s, et() || void 0, r);
}
const vi = () => {
  const e = et();
  let t = null;
  return e && (t = na(e)[Nn]) ? { [Nn]: t } : null;
};
function xt(e = {}, t) {
  const { __root: n, __injectWithOption: s } = e, r = n === void 0, a = e.flatJson;
  let o = F(e.inheritLocale) ? e.inheritLocale : !0;
  const c = _e(
    // prettier-ignore
    n && o ? n.locale.value : b(e.locale) ? e.locale : He
  ), u = _e(
    // prettier-ignore
    n && o ? n.fallbackLocale.value : b(e.fallbackLocale) || x(e.fallbackLocale) || k(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : c.value
  ), m = _e(dt(c.value, e)), N = _e(k(e.datetimeFormats) ? e.datetimeFormats : { [c.value]: {} }), T = _e(k(e.numberFormats) ? e.numberFormats : { [c.value]: {} });
  let E = n ? n.missingWarn : F(e.missingWarn) || Le(e.missingWarn) ? e.missingWarn : !0, I = n ? n.fallbackWarn : F(e.fallbackWarn) || Le(e.fallbackWarn) ? e.fallbackWarn : !0, P = n ? n.fallbackRoot : F(e.fallbackRoot) ? e.fallbackRoot : !0, D = !!e.fallbackFormat, S = H(e.missing) ? e.missing : null, f = H(e.missing) ? Tn(e.missing) : null, d = H(e.postTranslation) ? e.postTranslation : null, v = n ? n.warnHtmlMessage : F(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, p = !!e.escapeParameter;
  const A = n ? n.modifiers : k(e.modifiers) ? e.modifiers : {};
  let O = e.pluralRules || n && n.pluralRules, h;
  h = (() => {
    r && on(null);
    const g = {
      version: pi,
      locale: c.value,
      fallbackLocale: u.value,
      messages: m.value,
      modifiers: A,
      pluralRules: O,
      missing: f === null ? void 0 : f,
      missingWarn: E,
      fallbackWarn: I,
      fallbackFormat: D,
      unresolving: !0,
      postTranslation: d === null ? void 0 : d,
      warnHtmlMessage: v,
      escapeParameter: p,
      messageResolver: e.messageResolver,
      messageCompiler: e.messageCompiler,
      __meta: { framework: "vue" }
    };
    g.datetimeFormats = N.value, g.numberFormats = T.value, g.__datetimeFormatters = k(h) ? h.__datetimeFormatters : void 0, g.__numberFormatters = k(h) ? h.__numberFormatters : void 0, process.env.NODE_ENV !== "production" && (g.__v_emitter = k(h) ? h.__v_emitter : void 0);
    const L = Zc(g);
    return r && on(L), L;
  })(), Ze(h, c.value, u.value);
  function $() {
    return [
      c.value,
      u.value,
      m.value,
      N.value,
      T.value
    ];
  }
  const Y = me({
    get: () => c.value,
    set: (g) => {
      c.value = g, h.locale = c.value;
    }
  }), oe = me({
    get: () => u.value,
    set: (g) => {
      u.value = g, h.fallbackLocale = u.value, Ze(h, c.value, g);
    }
  }), q = me(() => m.value), se = /* @__PURE__ */ me(() => N.value), ke = /* @__PURE__ */ me(() => T.value);
  function Ye() {
    return H(d) ? d : null;
  }
  function ce(g) {
    d = g, h.postTranslation = g;
  }
  function Re() {
    return S;
  }
  function Be(g) {
    g !== null && (f = Tn(g)), S = g, h.missing = f;
  }
  function Fe(g, L) {
    return g !== "translate" || !L.resolvedMessage;
  }
  const ie = (g, L, W, B, gt, lt) => {
    $();
    let Qe;
    try {
      (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && rn(vi()), r || (h.fallbackContext = n ? Qc() : void 0), Qe = g(h);
    } finally {
      (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && rn(null), r || (h.fallbackContext = void 0);
    }
    if (X(Qe) && Qe === _t) {
      const [ye, ma] = L();
      if (process.env.NODE_ENV !== "production" && n && b(ye) && Fe(W, ma) && (P && (mt(I, ye) || Wn(E, ye)) && J(ne(G.FALLBACK_TO_ROOT, {
        key: ye,
        type: W
      })), process.env.NODE_ENV !== "production")) {
        const { __v_emitter: Yt } = h;
        Yt && P && Yt.emit("fallback", {
          type: W,
          key: ye,
          to: "global",
          groupId: `${W}:${ye}`
        });
      }
      return n && P ? B(n) : gt(ye);
    } else {
      if (lt(Qe))
        return Qe;
      throw K(w.UNEXPECTED_RETURN_TYPE);
    }
  };
  function we(...g) {
    return ie((L) => Reflect.apply(fn, null, [L, ...g]), () => bt(...g), "translate", (L) => Reflect.apply(L.t, L, [...g]), (L) => L, (L) => b(L));
  }
  function je(...g) {
    const [L, W, B] = g;
    if (B && !V(B))
      throw K(w.INVALID_ARGUMENT);
    return we(L, W, Z({ resolvedMessage: !0 }, B || {}));
  }
  function Ke(...g) {
    return ie((L) => Reflect.apply(mn, null, [L, ...g]), () => It(...g), "datetime format", (L) => Reflect.apply(L.d, L, [...g]), () => ut, (L) => b(L));
  }
  function $e(...g) {
    return ie((L) => Reflect.apply(gn, null, [L, ...g]), () => Ot(...g), "number format", (L) => Reflect.apply(L.n, L, [...g]), () => ut, (L) => b(L));
  }
  function Xe(g) {
    return g.map((L) => b(L) || X(L) || F(L) ? pn(String(L)) : L);
  }
  const qe = {
    normalize: Xe,
    interpolate: (g) => g,
    type: "vnode"
  };
  function Ie(...g) {
    return ie(
      (L) => {
        let W;
        const B = L;
        try {
          B.processor = qe, W = Reflect.apply(fn, null, [B, ...g]);
        } finally {
          B.processor = null;
        }
        return W;
      },
      () => bt(...g),
      "translate",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (L) => L[yt](...g),
      (L) => [pn(L)],
      (L) => x(L)
    );
  }
  function Oe(...g) {
    return ie(
      (L) => Reflect.apply(gn, null, [L, ...g]),
      () => Ot(...g),
      "number format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (L) => L[Dt](...g),
      () => [],
      (L) => b(L) || x(L)
    );
  }
  function he(...g) {
    return ie(
      (L) => Reflect.apply(mn, null, [L, ...g]),
      () => It(...g),
      "datetime format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (L) => L[St](...g),
      () => [],
      (L) => b(L) || x(L)
    );
  }
  function Ae(g) {
    O = g, h.pluralRules = O;
  }
  function Je(g, L) {
    if (!g)
      return !1;
    const W = b(L) ? L : c.value, B = _(W);
    return b(h.messageResolver(B, g));
  }
  function i(g) {
    let L = null;
    const W = Fn(h, u.value, c.value);
    for (let B = 0; B < W.length; B++) {
      const gt = m.value[W[B]] || {}, lt = h.messageResolver(gt, g);
      if (lt != null) {
        L = lt;
        break;
      }
    }
    return L;
  }
  function l(g) {
    const L = i(g);
    return L ?? (n ? n.tm(g) || {} : {});
  }
  function _(g) {
    return m.value[g] || {};
  }
  function y(g, L) {
    if (a) {
      const W = { [g]: L };
      for (const B in W)
        tt(W, B) && st(W[B]);
      L = W[g];
    }
    m.value[g] = L, h.messages = m.value;
  }
  function M(g, L) {
    m.value[g] = m.value[g] || {};
    const W = { [g]: L };
    for (const B in W)
      tt(W, B) && st(W[B]);
    L = W[g], ze(L, m.value[g]), h.messages = m.value;
  }
  function U(g) {
    return N.value[g] || {};
  }
  function ue(g, L) {
    N.value[g] = L, h.datetimeFormats = N.value, dn(h, g, L);
  }
  function Ee(g, L) {
    N.value[g] = Z(N.value[g] || {}, L), h.datetimeFormats = N.value, dn(h, g, L);
  }
  function ua(g) {
    return T.value[g] || {};
  }
  function fa(g, L) {
    T.value[g] = L, h.numberFormats = T.value, En(h, g, L);
  }
  function _a(g, L) {
    T.value[g] = Z(T.value[g] || {}, L), h.numberFormats = T.value, En(h, g, L);
  }
  hn++, n && de && (Tt(n.locale, (g) => {
    o && (c.value = g, h.locale = g, Ze(h, c.value, u.value));
  }), Tt(n.fallbackLocale, (g) => {
    o && (u.value = g, h.fallbackLocale = g, Ze(h, c.value, u.value));
  }));
  const j = {
    id: hn,
    locale: Y,
    fallbackLocale: oe,
    get inheritLocale() {
      return o;
    },
    set inheritLocale(g) {
      o = g, g && n && (c.value = n.locale.value, u.value = n.fallbackLocale.value, Ze(h, c.value, u.value));
    },
    get availableLocales() {
      return Object.keys(m.value).sort();
    },
    messages: q,
    get modifiers() {
      return A;
    },
    get pluralRules() {
      return O || {};
    },
    get isGlobal() {
      return r;
    },
    get missingWarn() {
      return E;
    },
    set missingWarn(g) {
      E = g, h.missingWarn = E;
    },
    get fallbackWarn() {
      return I;
    },
    set fallbackWarn(g) {
      I = g, h.fallbackWarn = I;
    },
    get fallbackRoot() {
      return P;
    },
    set fallbackRoot(g) {
      P = g;
    },
    get fallbackFormat() {
      return D;
    },
    set fallbackFormat(g) {
      D = g, h.fallbackFormat = D;
    },
    get warnHtmlMessage() {
      return v;
    },
    set warnHtmlMessage(g) {
      v = g, h.warnHtmlMessage = g;
    },
    get escapeParameter() {
      return p;
    },
    set escapeParameter(g) {
      p = g, h.escapeParameter = g;
    },
    t: we,
    getLocaleMessage: _,
    setLocaleMessage: y,
    mergeLocaleMessage: M,
    getPostTranslationHandler: Ye,
    setPostTranslationHandler: ce,
    getMissingHandler: Re,
    setMissingHandler: Be,
    [ea]: Ae
  };
  return j.datetimeFormats = se, j.numberFormats = ke, j.rt = je, j.te = Je, j.tm = l, j.d = Ke, j.n = $e, j.getDateTimeFormat = U, j.setDateTimeFormat = ue, j.mergeDateTimeFormat = Ee, j.getNumberFormat = ua, j.setNumberFormat = fa, j.mergeNumberFormat = _a, j[ta] = s, j[yt] = Ie, j[St] = he, j[Dt] = Oe, process.env.NODE_ENV !== "production" && (j[Me] = (g) => {
    h.__v_emitter = g;
  }, j[at] = () => {
    h.__v_emitter = void 0;
  }), j;
}
function Li(e) {
  const t = b(e.locale) ? e.locale : He, n = b(e.fallbackLocale) || x(e.fallbackLocale) || k(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : t, s = H(e.missing) ? e.missing : void 0, r = F(e.silentTranslationWarn) || Le(e.silentTranslationWarn) ? !e.silentTranslationWarn : !0, a = F(e.silentFallbackWarn) || Le(e.silentFallbackWarn) ? !e.silentFallbackWarn : !0, o = F(e.fallbackRoot) ? e.fallbackRoot : !0, c = !!e.formatFallbackMessages, u = k(e.modifiers) ? e.modifiers : {}, m = e.pluralizationRules, N = H(e.postTranslation) ? e.postTranslation : void 0, T = b(e.warnHtmlInMessage) ? e.warnHtmlInMessage !== "off" : !0, E = !!e.escapeParameterHtml, I = F(e.sync) ? e.sync : !0;
  process.env.NODE_ENV !== "production" && e.formatter && J(ne(G.NOT_SUPPORTED_FORMATTER)), process.env.NODE_ENV !== "production" && e.preserveDirectiveContent && J(ne(G.NOT_SUPPORTED_PRESERVE_DIRECTIVE));
  let P = e.messages;
  if (k(e.sharedMessages)) {
    const A = e.sharedMessages;
    P = Object.keys(A).reduce((h, R) => {
      const $ = h[R] || (h[R] = {});
      return Z($, A[R]), h;
    }, P || {});
  }
  const { __i18n: D, __root: S, __injectWithOption: f } = e, d = e.datetimeFormats, v = e.numberFormats, p = e.flatJson;
  return {
    locale: t,
    fallbackLocale: n,
    messages: P,
    flatJson: p,
    datetimeFormats: d,
    numberFormats: v,
    missing: s,
    missingWarn: r,
    fallbackWarn: a,
    fallbackRoot: o,
    fallbackFormat: c,
    modifiers: u,
    pluralRules: m,
    postTranslation: N,
    warnHtmlMessage: T,
    escapeParameter: E,
    messageResolver: e.messageResolver,
    inheritLocale: I,
    __i18n: D,
    __root: S,
    __injectWithOption: f
  };
}
function Ct(e = {}, t) {
  {
    const n = xt(Li(e)), { __extender: s } = e, r = {
      // id
      id: n.id,
      // locale
      get locale() {
        return n.locale.value;
      },
      set locale(a) {
        n.locale.value = a;
      },
      // fallbackLocale
      get fallbackLocale() {
        return n.fallbackLocale.value;
      },
      set fallbackLocale(a) {
        n.fallbackLocale.value = a;
      },
      // messages
      get messages() {
        return n.messages.value;
      },
      // datetimeFormats
      get datetimeFormats() {
        return n.datetimeFormats.value;
      },
      // numberFormats
      get numberFormats() {
        return n.numberFormats.value;
      },
      // availableLocales
      get availableLocales() {
        return n.availableLocales;
      },
      // formatter
      get formatter() {
        return process.env.NODE_ENV !== "production" && J(ne(G.NOT_SUPPORTED_FORMATTER)), {
          interpolate() {
            return [];
          }
        };
      },
      set formatter(a) {
        process.env.NODE_ENV !== "production" && J(ne(G.NOT_SUPPORTED_FORMATTER));
      },
      // missing
      get missing() {
        return n.getMissingHandler();
      },
      set missing(a) {
        n.setMissingHandler(a);
      },
      // silentTranslationWarn
      get silentTranslationWarn() {
        return F(n.missingWarn) ? !n.missingWarn : n.missingWarn;
      },
      set silentTranslationWarn(a) {
        n.missingWarn = F(a) ? !a : a;
      },
      // silentFallbackWarn
      get silentFallbackWarn() {
        return F(n.fallbackWarn) ? !n.fallbackWarn : n.fallbackWarn;
      },
      set silentFallbackWarn(a) {
        n.fallbackWarn = F(a) ? !a : a;
      },
      // modifiers
      get modifiers() {
        return n.modifiers;
      },
      // formatFallbackMessages
      get formatFallbackMessages() {
        return n.fallbackFormat;
      },
      set formatFallbackMessages(a) {
        n.fallbackFormat = a;
      },
      // postTranslation
      get postTranslation() {
        return n.getPostTranslationHandler();
      },
      set postTranslation(a) {
        n.setPostTranslationHandler(a);
      },
      // sync
      get sync() {
        return n.inheritLocale;
      },
      set sync(a) {
        n.inheritLocale = a;
      },
      // warnInHtmlMessage
      get warnHtmlInMessage() {
        return n.warnHtmlMessage ? "warn" : "off";
      },
      set warnHtmlInMessage(a) {
        n.warnHtmlMessage = a !== "off";
      },
      // escapeParameterHtml
      get escapeParameterHtml() {
        return n.escapeParameter;
      },
      set escapeParameterHtml(a) {
        n.escapeParameter = a;
      },
      // preserveDirectiveContent
      get preserveDirectiveContent() {
        return process.env.NODE_ENV !== "production" && J(ne(G.NOT_SUPPORTED_PRESERVE_DIRECTIVE)), !0;
      },
      set preserveDirectiveContent(a) {
        process.env.NODE_ENV !== "production" && J(ne(G.NOT_SUPPORTED_PRESERVE_DIRECTIVE));
      },
      // pluralizationRules
      get pluralizationRules() {
        return n.pluralRules || {};
      },
      // for internal
      __composer: n,
      // t
      t(...a) {
        const [o, c, u] = a, m = {};
        let N = null, T = null;
        if (!b(o))
          throw K(w.INVALID_ARGUMENT);
        const E = o;
        return b(c) ? m.locale = c : x(c) ? N = c : k(c) && (T = c), x(u) ? N = u : k(u) && (T = u), Reflect.apply(n.t, n, [
          E,
          N || T || {},
          m
        ]);
      },
      rt(...a) {
        return Reflect.apply(n.rt, n, [...a]);
      },
      // tc
      tc(...a) {
        const [o, c, u] = a, m = { plural: 1 };
        let N = null, T = null;
        if (!b(o))
          throw K(w.INVALID_ARGUMENT);
        const E = o;
        return b(c) ? m.locale = c : X(c) ? m.plural = c : x(c) ? N = c : k(c) && (T = c), b(u) ? m.locale = u : x(u) ? N = u : k(u) && (T = u), Reflect.apply(n.t, n, [
          E,
          N || T || {},
          m
        ]);
      },
      // te
      te(a, o) {
        return n.te(a, o);
      },
      // tm
      tm(a) {
        return n.tm(a);
      },
      // getLocaleMessage
      getLocaleMessage(a) {
        return n.getLocaleMessage(a);
      },
      // setLocaleMessage
      setLocaleMessage(a, o) {
        n.setLocaleMessage(a, o);
      },
      // mergeLocaleMessage
      mergeLocaleMessage(a, o) {
        n.mergeLocaleMessage(a, o);
      },
      // d
      d(...a) {
        return Reflect.apply(n.d, n, [...a]);
      },
      // getDateTimeFormat
      getDateTimeFormat(a) {
        return n.getDateTimeFormat(a);
      },
      // setDateTimeFormat
      setDateTimeFormat(a, o) {
        n.setDateTimeFormat(a, o);
      },
      // mergeDateTimeFormat
      mergeDateTimeFormat(a, o) {
        n.mergeDateTimeFormat(a, o);
      },
      // n
      n(...a) {
        return Reflect.apply(n.n, n, [...a]);
      },
      // getNumberFormat
      getNumberFormat(a) {
        return n.getNumberFormat(a);
      },
      // setNumberFormat
      setNumberFormat(a, o) {
        n.setNumberFormat(a, o);
      },
      // mergeNumberFormat
      mergeNumberFormat(a, o) {
        n.mergeNumberFormat(a, o);
      },
      // getChoiceIndex
      // eslint-disable-next-line @typescript-eslint/no-unused-vars
      getChoiceIndex(a, o) {
        return process.env.NODE_ENV !== "production" && J(ne(G.NOT_SUPPORTED_GET_CHOICE_INDEX)), -1;
      }
    };
    return r.__extender = s, process.env.NODE_ENV !== "production" && (r.__enableEmitter = (a) => {
      const o = n;
      o[Me] && o[Me](a);
    }, r.__disableEmitter = () => {
      const a = n;
      a[at] && a[at]();
    }), r;
  }
}
const Wt = {
  tag: {
    type: [String, Object]
  },
  locale: {
    type: String
  },
  scope: {
    type: String,
    // NOTE: avoid https://github.com/microsoft/rushstack/issues/1050
    validator: (e) => e === "parent" || e === "global",
    default: "parent"
    /* ComponentI18nScope */
  },
  i18n: {
    type: Object
  }
};
function bi({ slots: e }, t) {
  return t.length === 1 && t[0] === "default" ? (e.default ? e.default() : []).reduce((s, r) => [
    ...s,
    // prettier-ignore
    ...r.type === Pn ? r.children : [r]
  ], []) : t.reduce((n, s) => {
    const r = e[s];
    return r && (n[s] = r()), n;
  }, {});
}
function sa(e) {
  return Pn;
}
const Ii = /* @__PURE__ */ kt({
  /* eslint-disable */
  name: "i18n-t",
  props: Z({
    keypath: {
      type: String,
      required: !0
    },
    plural: {
      type: [Number, String],
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      validator: (e) => X(e) || !isNaN(e)
    }
  }, Wt),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(e, t) {
    const { slots: n, attrs: s } = t, r = e.i18n || Gt({
      useScope: e.scope,
      __useComponent: !0
    });
    return () => {
      const a = Object.keys(n).filter((T) => T !== "_"), o = {};
      e.locale && (o.locale = e.locale), e.plural !== void 0 && (o.plural = b(e.plural) ? +e.plural : e.plural);
      const c = bi(t, a), u = r[yt](e.keypath, c, o), m = Z({}, s), N = b(e.tag) || V(e.tag) ? e.tag : sa();
      return Dn(N, m, u);
    };
  }
}), Nt = Ii;
function Oi(e) {
  return x(e) && !b(e[0]);
}
function ra(e, t, n, s) {
  const { slots: r, attrs: a } = t;
  return () => {
    const o = { part: !0 };
    let c = {};
    e.locale && (o.locale = e.locale), b(e.format) ? o.key = e.format : V(e.format) && (b(e.format.key) && (o.key = e.format.key), c = Object.keys(e.format).reduce((E, I) => n.includes(I) ? Z({}, E, { [I]: e.format[I] }) : E, {}));
    const u = s(e.value, o, c);
    let m = [o.key];
    x(u) ? m = u.map((E, I) => {
      const P = r[E.type], D = P ? P({ [E.type]: E.value, index: I, parts: u }) : [E.value];
      return Oi(D) && (D[0].key = `${E.type}-${I}`), D;
    }) : b(u) && (m = [u]);
    const N = Z({}, a), T = b(e.tag) || V(e.tag) ? e.tag : sa();
    return Dn(T, N, m);
  };
}
const Ai = /* @__PURE__ */ kt({
  /* eslint-disable */
  name: "i18n-n",
  props: Z({
    value: {
      type: Number,
      required: !0
    },
    format: {
      type: [String, Object]
    }
  }, Wt),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(e, t) {
    const n = e.i18n || Gt({
      useScope: "parent",
      __useComponent: !0
    });
    return ra(e, t, Jn, (...s) => (
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      n[Dt](...s)
    ));
  }
}), vn = Ai, yi = /* @__PURE__ */ kt({
  /* eslint-disable */
  name: "i18n-d",
  props: Z({
    value: {
      type: [Number, Date],
      required: !0
    },
    format: {
      type: [String, Object]
    }
  }, Wt),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(e, t) {
    const n = e.i18n || Gt({
      useScope: "parent",
      __useComponent: !0
    });
    return ra(e, t, qn, (...s) => (
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      n[St](...s)
    ));
  }
}), Ln = yi;
function Si(e, t) {
  const n = e;
  if (e.mode === "composition")
    return n.__getInstance(t) || e.global;
  {
    const s = n.__getInstance(t);
    return s != null ? s.__composer : e.global.__composer;
  }
}
function Di(e) {
  const t = (o) => {
    const { instance: c, modifiers: u, value: m } = o;
    if (!c || !c.$)
      throw K(w.UNEXPECTED_ERROR);
    const N = Si(e, c.$);
    process.env.NODE_ENV !== "production" && u.preserve && J(ne(G.NOT_SUPPORTED_PRESERVE));
    const T = bn(m);
    return [
      Reflect.apply(N.t, N, [...In(T)]),
      N
    ];
  };
  return {
    created: (o, c) => {
      const [u, m] = t(c);
      de && e.global === m && (o.__i18nWatcher = Tt(m.locale, () => {
        c.instance && c.instance.$forceUpdate();
      })), o.__composer = m, o.textContent = u;
    },
    unmounted: (o) => {
      de && o.__i18nWatcher && (o.__i18nWatcher(), o.__i18nWatcher = void 0, delete o.__i18nWatcher), o.__composer && (o.__composer = void 0, delete o.__composer);
    },
    beforeUpdate: (o, { value: c }) => {
      if (o.__composer) {
        const u = o.__composer, m = bn(c);
        o.textContent = Reflect.apply(u.t, u, [
          ...In(m)
        ]);
      }
    },
    getSSRProps: (o) => {
      const [c] = t(o);
      return { textContent: c };
    }
  };
}
function bn(e) {
  if (b(e))
    return { path: e };
  if (k(e)) {
    if (!("path" in e))
      throw K(w.REQUIRED_VALUE, "path");
    return e;
  } else
    throw K(w.INVALID_VALUE);
}
function In(e) {
  const { path: t, locale: n, args: s, choice: r, plural: a } = e, o = {}, c = s || {};
  return b(n) && (o.locale = n), X(r) && (o.plural = r), X(a) && (o.plural = a), [t, c, o];
}
function Pi(e, t, ...n) {
  const s = k(n[0]) ? n[0] : {}, r = !!s.useI18nComponentName, a = F(s.globalInstall) ? s.globalInstall : !0;
  process.env.NODE_ENV !== "production" && a && r && J(ne(G.COMPONENT_NAME_LEGACY_COMPATIBLE, {
    name: Nt.name
  })), a && ([r ? "i18n" : Nt.name, "I18nT"].forEach((o) => e.component(o, Nt)), [vn.name, "I18nN"].forEach((o) => e.component(o, vn)), [Ln.name, "I18nD"].forEach((o) => e.component(o, Ln))), e.directive("t", Di(t));
}
const ht = {
  "vue-devtools-plugin-vue-i18n": "Vue I18n devtools",
  "vue-i18n-resource-inspector": "I18n Resources",
  "vue-i18n-timeline": "Vue I18n"
}, Ci = {
  "vue-i18n-resource-inspector": "Search for scopes ..."
}, Mi = {
  "vue-i18n-timeline": 16764185
}, oa = "vue-i18n: composer properties";
let Mt;
async function ki(e, t) {
  return new Promise((n, s) => {
    try {
      Ei({
        id: "vue-devtools-plugin-vue-i18n",
        label: ht[
          "vue-devtools-plugin-vue-i18n"
          /* VueDevToolsIDs.PLUGIN */
        ],
        packageName: "vue-i18n",
        homepage: "https://vue-i18n.intlify.dev",
        logo: "https://vue-i18n.intlify.dev/vue-i18n-devtools-logo.png",
        componentStateTypes: [oa],
        app: e
        // eslint-disable-line @typescript-eslint/no-explicit-any
      }, (r) => {
        Mt = r, r.on.visitComponentTree(({ componentInstance: o, treeNode: c }) => {
          Ri(o, c, t);
        }), r.on.inspectComponent(({ componentInstance: o, instanceData: c }) => {
          o.vnode.el && o.vnode.el.__VUE_I18N__ && c && (t.mode === "legacy" ? o.vnode.el.__VUE_I18N__ !== t.global.__composer && On(c, o.vnode.el.__VUE_I18N__) : On(c, o.vnode.el.__VUE_I18N__));
        }), r.addInspector({
          id: "vue-i18n-resource-inspector",
          label: ht[
            "vue-i18n-resource-inspector"
            /* VueDevToolsIDs.CUSTOM_INSPECTOR */
          ],
          icon: "language",
          treeFilterPlaceholder: Ci[
            "vue-i18n-resource-inspector"
            /* VueDevToolsIDs.CUSTOM_INSPECTOR */
          ]
        }), r.on.getInspectorTree((o) => {
          o.app === e && o.inspectorId === "vue-i18n-resource-inspector" && Ui(o, t);
        });
        const a = /* @__PURE__ */ new Map();
        r.on.getInspectorState(async (o) => {
          if (o.app === e && o.inspectorId === "vue-i18n-resource-inspector")
            if (r.unhighlightElement(), Wi(o, t), o.nodeId === "global") {
              if (!a.has(o.app)) {
                const [c] = await r.getComponentInstances(o.app);
                a.set(o.app, c);
              }
              r.highlightElement(a.get(o.app));
            } else {
              const c = xi(o.nodeId, t);
              c && r.highlightElement(c);
            }
        }), r.on.editInspectorState((o) => {
          o.app === e && o.inspectorId === "vue-i18n-resource-inspector" && Gi(o, t);
        }), r.addTimelineLayer({
          id: "vue-i18n-timeline",
          label: ht[
            "vue-i18n-timeline"
            /* VueDevToolsIDs.TIMELINE */
          ],
          color: Mi[
            "vue-i18n-timeline"
            /* VueDevToolsIDs.TIMELINE */
          ]
        }), n(!0);
      });
    } catch (r) {
      console.error(r), s(!1);
    }
  });
}
function la(e) {
  return e.type.name || e.type.displayName || e.type.__file || "Anonymous";
}
function Ri(e, t, n) {
  const s = n.mode === "composition" ? n.global : n.global.__composer;
  if (e && e.vnode.el && e.vnode.el.__VUE_I18N__ && e.vnode.el.__VUE_I18N__ !== s) {
    const r = {
      label: `i18n (${la(e)} Scope)`,
      textColor: 0,
      backgroundColor: 16764185
    };
    t.tags.push(r);
  }
}
function On(e, t) {
  const n = oa;
  e.state.push({
    type: n,
    key: "locale",
    editable: !0,
    value: t.locale.value
  }), e.state.push({
    type: n,
    key: "availableLocales",
    editable: !1,
    value: t.availableLocales
  }), e.state.push({
    type: n,
    key: "fallbackLocale",
    editable: !0,
    value: t.fallbackLocale.value
  }), e.state.push({
    type: n,
    key: "inheritLocale",
    editable: !0,
    value: t.inheritLocale
  }), e.state.push({
    type: n,
    key: "messages",
    editable: !1,
    value: Ht(t.messages.value)
  }), e.state.push({
    type: n,
    key: "datetimeFormats",
    editable: !1,
    value: t.datetimeFormats.value
  }), e.state.push({
    type: n,
    key: "numberFormats",
    editable: !1,
    value: t.numberFormats.value
  });
}
function Ht(e) {
  const t = {};
  return Object.keys(e).forEach((n) => {
    const s = e[n];
    H(s) && "source" in s ? t[n] = Vi(s) : Ce(s) && s.loc && s.loc.source ? t[n] = s.loc.source : V(s) ? t[n] = Ht(s) : t[n] = s;
  }), t;
}
const Fi = {
  "<": "&lt;",
  ">": "&gt;",
  '"': "&quot;",
  "&": "&amp;"
};
function wi(e) {
  return e.replace(/[<>"&]/g, $i);
}
function $i(e) {
  return Fi[e] || e;
}
function Vi(e) {
  return {
    _custom: {
      type: "function",
      display: `<span>ƒ</span> ${e.source ? `("${wi(e.source)}")` : "(?)"}`
    }
  };
}
function Ui(e, t) {
  e.rootNodes.push({
    id: "global",
    label: "Global Scope"
  });
  const n = t.mode === "composition" ? t.global : t.global.__composer;
  for (const [s, r] of t.__instances) {
    const a = t.mode === "composition" ? r : r.__composer;
    n !== a && e.rootNodes.push({
      id: a.id.toString(),
      label: `${la(s)} Scope`
    });
  }
}
function xi(e, t) {
  let n = null;
  if (e !== "global") {
    for (const [s, r] of t.__instances.entries())
      if (r.id.toString() === e) {
        n = s;
        break;
      }
  }
  return n;
}
function ca(e, t) {
  if (e === "global")
    return t.mode === "composition" ? t.global : t.global.__composer;
  {
    const n = Array.from(t.__instances.values()).find((s) => s.id.toString() === e);
    return n ? t.mode === "composition" ? n : n.__composer : null;
  }
}
function Wi(e, t) {
  const n = ca(e.nodeId, t);
  return n && (e.state = Hi(n)), null;
}
function Hi(e) {
  const t = {}, n = "Locale related info", s = [
    {
      type: n,
      key: "locale",
      editable: !0,
      value: e.locale.value
    },
    {
      type: n,
      key: "fallbackLocale",
      editable: !0,
      value: e.fallbackLocale.value
    },
    {
      type: n,
      key: "availableLocales",
      editable: !1,
      value: e.availableLocales
    },
    {
      type: n,
      key: "inheritLocale",
      editable: !0,
      value: e.inheritLocale
    }
  ];
  t[n] = s;
  const r = "Locale messages info", a = [
    {
      type: r,
      key: "messages",
      editable: !1,
      value: Ht(e.messages.value)
    }
  ];
  t[r] = a;
  {
    const o = "Datetime formats info", c = [
      {
        type: o,
        key: "datetimeFormats",
        editable: !1,
        value: e.datetimeFormats.value
      }
    ];
    t[o] = c;
    const u = "Datetime formats info", m = [
      {
        type: u,
        key: "numberFormats",
        editable: !1,
        value: e.numberFormats.value
      }
    ];
    t[u] = m;
  }
  return t;
}
function rt(e, t) {
  if (Mt) {
    let n;
    t && "groupId" in t && (n = t.groupId, delete t.groupId), Mt.addTimelineEvent({
      layerId: "vue-i18n-timeline",
      event: {
        title: e,
        groupId: n,
        time: Date.now(),
        meta: {},
        data: t || {},
        logType: e === "compile-error" ? "error" : e === "fallback" || e === "missing" ? "warning" : "default"
      }
    });
  }
}
function Gi(e, t) {
  const n = ca(e.nodeId, t);
  if (n) {
    const [s] = e.path;
    s === "locale" && b(e.state.value) ? n.locale.value = e.state.value : s === "fallbackLocale" && (b(e.state.value) || x(e.state.value) || V(e.state.value)) ? n.fallbackLocale.value = e.state.value : s === "inheritLocale" && F(e.state.value) && (n.inheritLocale = e.state.value);
  }
}
function Yi(e, t, n) {
  return {
    beforeCreate() {
      const s = et();
      if (!s)
        throw K(w.UNEXPECTED_ERROR);
      const r = this.$options;
      if (r.i18n) {
        const a = r.i18n;
        if (r.__i18n && (a.__i18n = r.__i18n), a.__root = t, this === this.$root)
          this.$i18n = An(e, a);
        else {
          a.__injectWithOption = !0, a.__extender = n.__vueI18nExtend, this.$i18n = Ct(a);
          const o = this.$i18n;
          o.__extender && (o.__disposer = o.__extender(this.$i18n));
        }
      } else if (r.__i18n)
        if (this === this.$root)
          this.$i18n = An(e, r);
        else {
          this.$i18n = Ct({
            __i18n: r.__i18n,
            __injectWithOption: !0,
            __extender: n.__vueI18nExtend,
            __root: t
          });
          const a = this.$i18n;
          a.__extender && (a.__disposer = a.__extender(this.$i18n));
        }
      else
        this.$i18n = e;
      r.__i18nGlobal && aa(t, r, r), this.$t = (...a) => this.$i18n.t(...a), this.$rt = (...a) => this.$i18n.rt(...a), this.$tc = (...a) => this.$i18n.tc(...a), this.$te = (a, o) => this.$i18n.te(a, o), this.$d = (...a) => this.$i18n.d(...a), this.$n = (...a) => this.$i18n.n(...a), this.$tm = (a) => this.$i18n.tm(a), n.__setInstance(s, this.$i18n);
    },
    mounted() {
      if (process.env.NODE_ENV !== "production" && this.$el && this.$i18n) {
        const s = this.$i18n;
        this.$el.__VUE_I18N__ = s.__composer;
        const r = this.__v_emitter = wt();
        s.__enableEmitter && s.__enableEmitter(r), r.on("*", rt);
      }
    },
    unmounted() {
      const s = et();
      if (!s)
        throw K(w.UNEXPECTED_ERROR);
      const r = this.$i18n;
      process.env.NODE_ENV !== "production" && this.$el && this.$el.__VUE_I18N__ && (this.__v_emitter && (this.__v_emitter.off("*", rt), delete this.__v_emitter), this.$i18n && (r.__disableEmitter && r.__disableEmitter(), delete this.$el.__VUE_I18N__)), delete this.$t, delete this.$rt, delete this.$tc, delete this.$te, delete this.$d, delete this.$n, delete this.$tm, r.__disposer && (r.__disposer(), delete r.__disposer, delete r.__extender), n.__deleteInstance(s), delete this.$i18n;
    }
  };
}
function An(e, t) {
  e.locale = t.locale || e.locale, e.fallbackLocale = t.fallbackLocale || e.fallbackLocale, e.missing = t.missing || e.missing, e.silentTranslationWarn = t.silentTranslationWarn || e.silentFallbackWarn, e.silentFallbackWarn = t.silentFallbackWarn || e.silentFallbackWarn, e.formatFallbackMessages = t.formatFallbackMessages || e.formatFallbackMessages, e.postTranslation = t.postTranslation || e.postTranslation, e.warnHtmlInMessage = t.warnHtmlInMessage || e.warnHtmlInMessage, e.escapeParameterHtml = t.escapeParameterHtml || e.escapeParameterHtml, e.sync = t.sync || e.sync, e.__composer[ea](t.pluralizationRules || e.pluralizationRules);
  const n = dt(e.locale, {
    messages: t.messages,
    __i18n: t.__i18n
  });
  return Object.keys(n).forEach((s) => e.mergeLocaleMessage(s, n[s])), t.datetimeFormats && Object.keys(t.datetimeFormats).forEach((s) => e.mergeDateTimeFormat(s, t.datetimeFormats[s])), t.numberFormats && Object.keys(t.numberFormats).forEach((s) => e.mergeNumberFormat(s, t.numberFormats[s])), e;
}
const Bi = /* @__PURE__ */ ge("global-vue-i18n");
function ji(e = {}, t) {
  const n = __VUE_I18N_LEGACY_API__ && F(e.legacy) ? e.legacy : __VUE_I18N_LEGACY_API__, s = F(e.globalInjection) ? e.globalInjection : !0, r = __VUE_I18N_LEGACY_API__ && n ? !!e.allowComposition : !0, a = /* @__PURE__ */ new Map(), [o, c] = Ki(e, n), u = /* @__PURE__ */ ge(process.env.NODE_ENV !== "production" ? "vue-i18n" : "");
  process.env.NODE_ENV !== "production" && n && r && J(ne(G.NOTICE_DROP_ALLOW_COMPOSITION));
  function m(E) {
    return a.get(E) || null;
  }
  function N(E, I) {
    a.set(E, I);
  }
  function T(E) {
    a.delete(E);
  }
  {
    const E = {
      // mode
      get mode() {
        return __VUE_I18N_LEGACY_API__ && n ? "legacy" : "composition";
      },
      // allowComposition
      get allowComposition() {
        return r;
      },
      // install plugin
      async install(I, ...P) {
        if (process.env.NODE_ENV !== "production" && (I.__VUE_I18N__ = E), I.__VUE_I18N_SYMBOL__ = u, I.provide(I.__VUE_I18N_SYMBOL__, E), k(P[0])) {
          const f = P[0];
          E.__composerExtend = f.__composerExtend, E.__vueI18nExtend = f.__vueI18nExtend;
        }
        let D = null;
        !n && s && (D = nu(I, E.global)), __VUE_I18N_FULL_INSTALL__ && Pi(I, E, ...P), __VUE_I18N_LEGACY_API__ && n && I.mixin(Yi(c, c.__composer, E));
        const S = I.unmount;
        if (I.unmount = () => {
          D && D(), E.dispose(), S();
        }, process.env.NODE_ENV !== "production") {
          if (!await ki(I, E))
            throw K(w.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN);
          const d = wt();
          if (n) {
            const v = c;
            v.__enableEmitter && v.__enableEmitter(d);
          } else {
            const v = c;
            v[Me] && v[Me](d);
          }
          d.on("*", rt);
        }
      },
      // global accessor
      get global() {
        return c;
      },
      dispose() {
        o.stop();
      },
      // @internal
      __instances: a,
      // @internal
      __getInstance: m,
      // @internal
      __setInstance: N,
      // @internal
      __deleteInstance: T
    };
    return E;
  }
}
function Gt(e = {}) {
  const t = et();
  if (t == null)
    throw K(w.MUST_BE_CALL_SETUP_TOP);
  if (!t.isCE && t.appContext.app != null && !t.appContext.app.__VUE_I18N_SYMBOL__)
    throw K(w.NOT_INSTALLED);
  const n = Xi(t), s = Ji(n), r = na(t), a = qi(e, r);
  if (__VUE_I18N_LEGACY_API__ && n.mode === "legacy" && !e.__useComponent) {
    if (!n.allowComposition)
      throw K(w.NOT_AVAILABLE_IN_LEGACY_MODE);
    return eu(t, a, s, e);
  }
  if (a === "global")
    return aa(s, e, r), s;
  if (a === "parent") {
    let u = Qi(n, t, e.__useComponent);
    return u == null && (process.env.NODE_ENV !== "production" && J(ne(G.NOT_FOUND_PARENT_SCOPE)), u = s), u;
  }
  const o = n;
  let c = o.__getInstance(t);
  if (c == null) {
    const u = Z({}, e);
    "__i18n" in r && (u.__i18n = r.__i18n), s && (u.__root = s), c = xt(u), o.__composerExtend && (c[Pt] = o.__composerExtend(c)), zi(o, t, c), o.__setInstance(t, c);
  }
  return c;
}
function Ki(e, t, n) {
  const s = da();
  {
    const r = __VUE_I18N_LEGACY_API__ && t ? s.run(() => Ct(e)) : s.run(() => xt(e));
    if (r == null)
      throw K(w.UNEXPECTED_ERROR);
    return [s, r];
  }
}
function Xi(e) {
  {
    const t = ga(e.isCE ? Bi : e.appContext.app.__VUE_I18N_SYMBOL__);
    if (!t)
      throw K(e.isCE ? w.NOT_INSTALLED_WITH_PROVIDE : w.UNEXPECTED_ERROR);
    return t;
  }
}
function qi(e, t) {
  return ft(e) ? "__i18n" in t ? "local" : "global" : e.useScope ? e.useScope : "local";
}
function Ji(e) {
  return e.mode === "composition" ? e.global : e.global.__composer;
}
function Qi(e, t, n = !1) {
  let s = null;
  const r = t.root;
  let a = Zi(t, n);
  for (; a != null; ) {
    const o = e;
    if (e.mode === "composition")
      s = o.__getInstance(a);
    else if (__VUE_I18N_LEGACY_API__) {
      const c = o.__getInstance(a);
      c != null && (s = c.__composer, n && s && !s[ta] && (s = null));
    }
    if (s != null || r === a)
      break;
    a = a.parent;
  }
  return s;
}
function Zi(e, t = !1) {
  return e == null ? null : t && e.vnode.ctx || e.parent;
}
function zi(e, t, n) {
  let s = null;
  Ea(() => {
    if (process.env.NODE_ENV !== "production" && t.vnode.el) {
      t.vnode.el.__VUE_I18N__ = n, s = wt();
      const r = n;
      r[Me] && r[Me](s), s.on("*", rt);
    }
  }, t), pa(() => {
    const r = n;
    process.env.NODE_ENV !== "production" && t.vnode.el && t.vnode.el.__VUE_I18N__ && (s && s.off("*", rt), r[at] && r[at](), delete t.vnode.el.__VUE_I18N__), e.__deleteInstance(t);
    const a = r[Pt];
    a && (a(), delete r[Pt]);
  }, t);
}
function eu(e, t, n, s = {}) {
  const r = t === "local", a = Na(null);
  if (r && e.proxy && !(e.proxy.$options.i18n || e.proxy.$options.__i18n))
    throw K(w.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION);
  const o = F(s.inheritLocale) ? s.inheritLocale : !b(s.locale), c = _e(
    // prettier-ignore
    !r || o ? n.locale.value : b(s.locale) ? s.locale : He
  ), u = _e(
    // prettier-ignore
    !r || o ? n.fallbackLocale.value : b(s.fallbackLocale) || x(s.fallbackLocale) || k(s.fallbackLocale) || s.fallbackLocale === !1 ? s.fallbackLocale : c.value
  ), m = _e(dt(c.value, s)), N = _e(k(s.datetimeFormats) ? s.datetimeFormats : { [c.value]: {} }), T = _e(k(s.numberFormats) ? s.numberFormats : { [c.value]: {} }), E = r ? n.missingWarn : F(s.missingWarn) || Le(s.missingWarn) ? s.missingWarn : !0, I = r ? n.fallbackWarn : F(s.fallbackWarn) || Le(s.fallbackWarn) ? s.fallbackWarn : !0, P = r ? n.fallbackRoot : F(s.fallbackRoot) ? s.fallbackRoot : !0, D = !!s.fallbackFormat, S = H(s.missing) ? s.missing : null, f = H(s.postTranslation) ? s.postTranslation : null, d = r ? n.warnHtmlMessage : F(s.warnHtmlMessage) ? s.warnHtmlMessage : !0, v = !!s.escapeParameter, p = r ? n.modifiers : k(s.modifiers) ? s.modifiers : {}, A = s.pluralRules || r && n.pluralRules;
  function O() {
    return [
      c.value,
      u.value,
      m.value,
      N.value,
      T.value
    ];
  }
  const h = me({
    get: () => a.value ? a.value.locale.value : c.value,
    set: (l) => {
      a.value && (a.value.locale.value = l), c.value = l;
    }
  }), R = me({
    get: () => a.value ? a.value.fallbackLocale.value : u.value,
    set: (l) => {
      a.value && (a.value.fallbackLocale.value = l), u.value = l;
    }
  }), $ = me(() => a.value ? a.value.messages.value : m.value), Y = me(() => N.value), oe = me(() => T.value);
  function q() {
    return a.value ? a.value.getPostTranslationHandler() : f;
  }
  function se(l) {
    a.value && a.value.setPostTranslationHandler(l);
  }
  function ke() {
    return a.value ? a.value.getMissingHandler() : S;
  }
  function Ye(l) {
    a.value && a.value.setMissingHandler(l);
  }
  function ce(l) {
    return O(), l();
  }
  function Re(...l) {
    return a.value ? ce(() => Reflect.apply(a.value.t, null, [...l])) : ce(() => "");
  }
  function Be(...l) {
    return a.value ? Reflect.apply(a.value.rt, null, [...l]) : "";
  }
  function Fe(...l) {
    return a.value ? ce(() => Reflect.apply(a.value.d, null, [...l])) : ce(() => "");
  }
  function ie(...l) {
    return a.value ? ce(() => Reflect.apply(a.value.n, null, [...l])) : ce(() => "");
  }
  function we(l) {
    return a.value ? a.value.tm(l) : {};
  }
  function je(l, _) {
    return a.value ? a.value.te(l, _) : !1;
  }
  function Ke(l) {
    return a.value ? a.value.getLocaleMessage(l) : {};
  }
  function $e(l, _) {
    a.value && (a.value.setLocaleMessage(l, _), m.value[l] = _);
  }
  function Xe(l, _) {
    a.value && a.value.mergeLocaleMessage(l, _);
  }
  function ot(l) {
    return a.value ? a.value.getDateTimeFormat(l) : {};
  }
  function qe(l, _) {
    a.value && (a.value.setDateTimeFormat(l, _), N.value[l] = _);
  }
  function Ie(l, _) {
    a.value && a.value.mergeDateTimeFormat(l, _);
  }
  function Oe(l) {
    return a.value ? a.value.getNumberFormat(l) : {};
  }
  function he(l, _) {
    a.value && (a.value.setNumberFormat(l, _), T.value[l] = _);
  }
  function Ae(l, _) {
    a.value && a.value.mergeNumberFormat(l, _);
  }
  const Je = {
    get id() {
      return a.value ? a.value.id : -1;
    },
    locale: h,
    fallbackLocale: R,
    messages: $,
    datetimeFormats: Y,
    numberFormats: oe,
    get inheritLocale() {
      return a.value ? a.value.inheritLocale : o;
    },
    set inheritLocale(l) {
      a.value && (a.value.inheritLocale = l);
    },
    get availableLocales() {
      return a.value ? a.value.availableLocales : Object.keys(m.value);
    },
    get modifiers() {
      return a.value ? a.value.modifiers : p;
    },
    get pluralRules() {
      return a.value ? a.value.pluralRules : A;
    },
    get isGlobal() {
      return a.value ? a.value.isGlobal : !1;
    },
    get missingWarn() {
      return a.value ? a.value.missingWarn : E;
    },
    set missingWarn(l) {
      a.value && (a.value.missingWarn = l);
    },
    get fallbackWarn() {
      return a.value ? a.value.fallbackWarn : I;
    },
    set fallbackWarn(l) {
      a.value && (a.value.missingWarn = l);
    },
    get fallbackRoot() {
      return a.value ? a.value.fallbackRoot : P;
    },
    set fallbackRoot(l) {
      a.value && (a.value.fallbackRoot = l);
    },
    get fallbackFormat() {
      return a.value ? a.value.fallbackFormat : D;
    },
    set fallbackFormat(l) {
      a.value && (a.value.fallbackFormat = l);
    },
    get warnHtmlMessage() {
      return a.value ? a.value.warnHtmlMessage : d;
    },
    set warnHtmlMessage(l) {
      a.value && (a.value.warnHtmlMessage = l);
    },
    get escapeParameter() {
      return a.value ? a.value.escapeParameter : v;
    },
    set escapeParameter(l) {
      a.value && (a.value.escapeParameter = l);
    },
    t: Re,
    getPostTranslationHandler: q,
    setPostTranslationHandler: se,
    getMissingHandler: ke,
    setMissingHandler: Ye,
    rt: Be,
    d: Fe,
    n: ie,
    tm: we,
    te: je,
    getLocaleMessage: Ke,
    setLocaleMessage: $e,
    mergeLocaleMessage: Xe,
    getDateTimeFormat: ot,
    setDateTimeFormat: qe,
    mergeDateTimeFormat: Ie,
    getNumberFormat: Oe,
    setNumberFormat: he,
    mergeNumberFormat: Ae
  };
  function i(l) {
    l.locale.value = c.value, l.fallbackLocale.value = u.value, Object.keys(m.value).forEach((_) => {
      l.mergeLocaleMessage(_, m.value[_]);
    }), Object.keys(N.value).forEach((_) => {
      l.mergeDateTimeFormat(_, N.value[_]);
    }), Object.keys(T.value).forEach((_) => {
      l.mergeNumberFormat(_, T.value[_]);
    }), l.escapeParameter = v, l.fallbackFormat = D, l.fallbackRoot = P, l.fallbackWarn = I, l.missingWarn = E, l.warnHtmlMessage = d;
  }
  return ha(() => {
    if (e.proxy == null || e.proxy.$i18n == null)
      throw K(w.NOT_AVAILABLE_COMPOSITION_IN_LEGACY);
    const l = a.value = e.proxy.$i18n.__composer;
    t === "global" ? (c.value = l.locale.value, u.value = l.fallbackLocale.value, m.value = l.messages.value, N.value = l.datetimeFormats.value, T.value = l.numberFormats.value) : r && i(l);
  }), Je;
}
const tu = [
  "locale",
  "fallbackLocale",
  "availableLocales"
], yn = ["t", "rt", "d", "n", "tm", "te"];
function nu(e, t) {
  const n = /* @__PURE__ */ Object.create(null);
  return tu.forEach((r) => {
    const a = Object.getOwnPropertyDescriptor(t, r);
    if (!a)
      throw K(w.UNEXPECTED_ERROR);
    const o = Ta(a.value) ? {
      get() {
        return a.value.value;
      },
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      set(c) {
        a.value.value = c;
      }
    } : {
      get() {
        return a.get && a.get();
      }
    };
    Object.defineProperty(n, r, o);
  }), e.config.globalProperties.$i18n = n, yn.forEach((r) => {
    const a = Object.getOwnPropertyDescriptor(t, r);
    if (!a || !a.value)
      throw K(w.UNEXPECTED_ERROR);
    Object.defineProperty(e.config.globalProperties, `$${r}`, a);
  }), () => {
    delete e.config.globalProperties.$i18n, yn.forEach((r) => {
      delete e.config.globalProperties[`$${r}`];
    });
  };
}
Ni();
__INTLIFY_JIT_COMPILATION__ ? sn(ai) : sn(ni);
Xc(Dc);
qc(Fn);
if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
  const e = Ne();
  e.__INTLIFY__ = !0, Vc(e.__INTLIFY_DEVTOOLS_GLOBAL_HOOK__);
}
process.env.NODE_ENV;
const iu = ["en", "ru"], au = { ...Ls, ...rr }, su = { ...ar, ...lr }, ia = "en", ru = localStorage.getItem("locale") ?? ia, Sn = ji({
  legacy: !1,
  locale: ru,
  fallbackLocale: ia,
  messages: {
    en: au,
    ru: su
  }
}), uu = [
  { locale: "en", languageName: "English", countryCode: "gb" },
  { locale: "ru", languageName: "Русский", countryCode: "ru" }
], fu = [
  {
    locale: "en",
    messages: vo
  },
  {
    locale: "ru",
    messages: Rl
  }
], { createI18nMessage: ou } = Wa, Q = ou({ t: Sn.global.t.bind(Sn) }), _u = Q(ba, { messagePath: () => "VALIDATIONS.alpha" }), mu = Q(Ia, { messagePath: () => "VALIDATIONS.alphaNum" }), du = Q(Oa, { withArguments: !0, messagePath: () => "VALIDATIONS.between" }), gu = Q(Aa, { messagePath: () => "VALIDATIONS.decimal" }), Eu = Q(ya, { messagePath: () => "VALIDATIONS.email" }), pu = Q(Sa, { messagePath: () => "VALIDATIONS.integer" }), Nu = Q(Da, { messagePath: () => "VALIDATIONS.ipAddress" }), hu = Q(Pa, { withArguments: !0, messagePath: () => "VALIDATIONS.macAddress" }), Tu = Q(Ca, { withArguments: !0, messagePath: () => "VALIDATIONS.maxLength" }), vu = Q(Ma, { withArguments: !0, messagePath: () => "VALIDATIONS.maxValue" }), Lu = Q(ka, { withArguments: !0, messagePath: () => "VALIDATIONS.minLength" }), bu = Q(Ra, { withArguments: !0, messagePath: () => "VALIDATIONS.minValue" }), Iu = Q(Fa, { messagePath: () => "VALIDATIONS.numeric" }), Ou = Q(wa, { messagePath: () => "VALIDATIONS.required" }), Au = Q($a, { withArguments: !0, messagePath: () => "VALIDATIONS.requiredIf" }), yu = Q(Va, { withArguments: !0, messagePath: () => "VALIDATIONS.requiredUnless" }), Su = Q(Ua, { withArguments: !0, messagePath: () => "VALIDATIONS.sameAs" }), Du = Q(xa, { withArguments: !0, messagePath: () => "VALIDATIONS.url" });
export {
  su as a,
  _u as b,
  mu as c,
  du as d,
  au as e,
  uu as f,
  gu as g,
  Eu as h,
  pu as i,
  Nu as j,
  hu as k,
  Tu as l,
  Lu as m,
  vu as n,
  bu as o,
  fu as p,
  Iu as q,
  Ou as r,
  iu as s,
  Au as t,
  Gt as u,
  yu as v,
  Su as w,
  Du as x
};
